(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     85223,       2336]
NotebookOptionsPosition[     83362,       2256]
NotebookOutlinePosition[     83751,       2273]
CellTagsIndexPosition[     83708,       2270]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Complex Number Addition and the Complex (",
 StyleBox[ButtonBox["Argand",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ArgandDiagram.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ArgandDiagram.html"],
  FontColor->RGBColor[0, 0, 1]],
 ") Plane, Activity 3"
}], "Title",
 CellChangeTimes->{
  3.6279099761990013`*^9, {3.628007103032901*^9, 3.628007104075787*^9}, 
   3.628877314081305*^9}],

Cell[CellGroupData[{

Cell["Learning Goals:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
  3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
  3.629471286589877*^9}}],

Cell[TextData[{
 "1) Review mathematical and ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " content of the two preceding activities in order to solidify understanding \
and skill.\n\n2) Learn how to use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " function to make interactive (\[OpenCurlyDoubleQuote]dynamic\
\[CloseCurlyDoubleQuote]) output that further solidifies understanding and \
skill. \n\n3) Gain understanding about the algebraic and geometric meanings \
of complex number subtraction."
}], "Subsection",
 CellChangeTimes->{{3.629471283194976*^9, 3.629471449316176*^9}, {
   3.629471491689554*^9, 3.629471495629924*^9}, {3.629471555324888*^9, 
   3.629471755003772*^9}, {3.629471798155019*^9, 3.629471799321672*^9}, {
   3.629471860730651*^9, 3.629471867303534*^9}, {3.6294719275423098`*^9, 
   3.629472052210994*^9}, {3.629472173894373*^9, 3.6294722051882*^9}, {
   3.629998750427062*^9, 3.629998759919085*^9}, {3.630417048994328*^9, 
   3.630417058226722*^9}, 3.6478771438209753`*^9, {3.6479537023827953`*^9, 
   3.6479537036678553`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Prerequisites:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
   3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
   3.629471286589877*^9}, {3.62947861284763*^9, 3.629478616140943*^9}, 
   3.6478771462029943`*^9}],

Cell[TextData[{
 "1) Familiarity with vectors:  in physics, linear algebra, multivariable \
calculus, and/or differential equations\n\n2) Comfort with abstract algebra, \
though not necessarily at the level of a course in abstract algebra\n\n3) ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " content from Activities 1 and 2"
}], "Subsection",
 CellChangeTimes->{{3.629471283194976*^9, 3.629471449316176*^9}, {
   3.629471491689554*^9, 3.629471495629924*^9}, 3.629471704802578*^9, {
   3.6294717887322683`*^9, 3.629471791315475*^9}, 3.629471883527823*^9, {
   3.629478639313504*^9, 3.629478679493908*^9}, {3.629478720658692*^9, 
   3.629478816037221*^9}, {3.629478847617557*^9, 3.629478917607266*^9}, {
   3.629478953660507*^9, 3.6294789824886103`*^9}, {3.647953705099347*^9, 
   3.6479537062674723`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Introduction:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
  3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
  3.629471286589877*^9}, {3.6294714662738123`*^9, 3.629471468263523*^9}, {
  3.6304214567927713`*^9, 3.630421458486969*^9}}],

Cell[TextData[{
 "To have a ",
 StyleBox[ButtonBox["deep",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.polyu.edu.hk/obe/students/files/deep.pdf"], None},
  ButtonNote->"http://www.polyu.edu.hk/obe/students/files/deep.pdf"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0, 0, 1]],
 " ",
 StyleBox[ButtonBox["understanding",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://teachinquiry.com/index/Understanding.html"], None},
  ButtonNote->"http://teachinquiry.com/index/Understanding.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0, 0, 1]],
 " of even a simple function, like the ",
 StyleBox[ButtonBox["squaring",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Square_(algebra)"], None},
  ButtonNote->"https://en.wikipedia.org/wiki/Square_(algebra)"],
  FontColor->RGBColor[0, 0, 1]],
 " function ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", 
    RowBox[{
     RowBox[{"f", "(", "z", ")"}], "=", 
     SuperscriptBox["z", "2"]}]}], TraditionalForm]]],
 ", it is good, but not sufficient, to just be familiar with its formula and \
how to use it to compute values.  Understanding its \
\[OpenCurlyDoubleQuote]behavior\[CloseCurlyDoubleQuote] by the nature of its ",
 StyleBox[ButtonBox["graph",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Graph_of_a_function"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Graph_of_a_function"],
  FontColor->RGBColor[0, 0, 1]],
 " (when ",
 StyleBox["z",
  FontSlant->"Italic"],
 " is real), its ",
 StyleBox[ButtonBox["mapping properties",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathfaculty.fullerton.edu/mathews/c2003/\
ConformalMapDictionary.1.html"], None},
  ButtonNote->
   "http://mathfaculty.fullerton.edu/mathews/c2003/ConformalMapDictionary.1.\
html"],
  FontColor->RGBColor[0, 0, 1]],
 " (when ",
 StyleBox["z",
  FontSlant->"Italic"],
 " is complex), and its ",
 StyleBox[ButtonBox["dynamic",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Dynamical_system"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Dynamical_system"],
  FontColor->RGBColor[0, 0, 1]],
 " properties under ",
 StyleBox[ButtonBox["iteration",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Iterated_function"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Iterated_function"],
  FontColor->RGBColor[0, 0, 1]],
 " \[LongDash] including properties that may be ",
 StyleBox[ButtonBox["unexpected",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Complex_squaring_map#Chaos_and_the_\
complex_squaring_map"], None},
  ButtonNote->
   "http://en.wikipedia.org/wiki/Complex_squaring_map#Chaos_and_the_complex_\
squaring_map"],
  FontColor->RGBColor[0, 0, 1]],
 " \[LongDash] is essential to gain more complete knowledge.  Likewise, \
static pictures that illustrate mathematical concepts online and in books are \
great, but dynamic and interactive pictures, created on computers, are \
better.  One of the main goals of this activity is to learn how to use the ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " function in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to solidify what we have learned about the geometry of complex numbers and \
their sums in Activities 1 and 2 of this learning module and to gain new \
knowledge about the geometry of complex number subtraction.  The fact that ",
 StyleBox[ButtonBox["subtraction is defined in terms of addition",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://learnzillion.com/lessons/675-understand-subtraction-as-\
adding-the-additive-inverse"], None},
  ButtonNote->
   "https://learnzillion.com/lessons/675-understand-subtraction-as-adding-the-\
additive-inverse"],
  FontColor->RGBColor[0, 0, 1]],
 " is the algebraic key that unlocks the geometric knowledge."
}], "Text",
 CellChangeTimes->{{3.6304214717813787`*^9, 3.630421504365569*^9}, {
  3.630422350903023*^9, 3.630422459233561*^9}, {3.630422494100768*^9, 
  3.6304227878881598`*^9}, {3.630422824394614*^9, 3.630422976380973*^9}, {
  3.630423044308817*^9, 3.630423091633801*^9}, {3.63042326242741*^9, 
  3.6304232835155687`*^9}, {3.630423499642058*^9, 3.630423499644837*^9}, {
  3.630423823849957*^9, 3.630423823852714*^9}, {3.6304238682474127`*^9, 
  3.630423885870048*^9}, {3.630423959215515*^9, 3.630423982180366*^9}, {
  3.630424020122554*^9, 3.630424020125249*^9}, {3.63042425584111*^9, 
  3.630424388305798*^9}, {3.6304244260631437`*^9, 3.6304244715664597`*^9}, {
  3.630424652388959*^9, 3.6304246964078712`*^9}, {3.647883030632134*^9, 
  3.647883030635147*^9}, {3.647883064530335*^9, 3.647883095456451*^9}, {
  3.647883221408772*^9, 3.647883225039815*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Content:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
  3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
  3.629471286589877*^9}, {3.6294714662738123`*^9, 3.629471468263523*^9}}],

Cell[TextData[{
 "Recall from Activity 2 that the geometric meaning of the formula for the \
sum of two complex numbers, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", "\[ImaginaryI]"}]}], ")"}], "+", 
     RowBox[{"(", 
      RowBox[{"c", "+", 
       RowBox[{"d", " ", "\[ImaginaryI]"}]}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "+", "c"}], ")"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"b", "+", "d"}], ")"}], "\[ImaginaryI]"}]}]}], 
   TraditionalForm]]],
 ", is the same as that for the sum of the two-dimensional vectors ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     StyleBox["v",
      FontWeight->"Bold",
      FontSlant->"Plain"], "="}], "\[InvisibleComma]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"a", ",", "b"}], "\[RightAngleBracket]"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["w",
     FontWeight->"Bold",
     FontSlant->"Plain"], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"c", ",", "d"}], "\[RightAngleBracket]"}]}], TraditionalForm]]],
 ".  In fact, we can think of the complex numbers as actually being vectors \
and use the ",
 StyleBox[ButtonBox["parallelogram law",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ParallelogramLaw.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ParallelogramLaw.html"],
  FontColor->RGBColor[0, 0, 1]],
 " to add them.  The following code generates a picture to illustrate this.  \
You should review Activity 2 to understand how this code works."
}], "Text",
 CellChangeTimes->{{3.6288783413828173`*^9, 3.628878483345251*^9}, {
  3.6288807622074614`*^9, 3.6288807793981857`*^9}, {3.628881667021797*^9, 
  3.628881761806795*^9}, {3.628881804741391*^9, 3.628881804754797*^9}, {
  3.628881876371992*^9, 3.628881890521844*^9}, {3.629039592719692*^9, 
  3.629039596753488*^9}, {3.629040822130598*^9, 3.629040834894511*^9}, {
  3.629469546381764*^9, 3.629469576266753*^9}, {3.647883301126931*^9, 
  3.647883302699245*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", "Red", ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3"}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"2", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "5"}], "}"}]}], "}"}], "]"}], ",", "Blue", ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "2"}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "5"}], "}"}]}], "}"}], "]"}], ",", "Black", ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "5"}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"Text", "[", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<v\>\"", ",", "Blue", ",", "Large"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"1.3", ",", "1"}], "}"}]}], "]"}], "]"}], ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<v\>\"", ",", "Blue", ",", "Large"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1.6", ",", "4"}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<w\>\"", ",", "Red", ",", "Large"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{".4", ",", "2"}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<w\>\"", ",", "Red", ",", "Large"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2.7", ",", "3.2"}], "}"}]}], "]"}], ",", 
      RowBox[{"Rotate", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<v+w\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.3", ",", "2.5"}], "}"}]}], "]"}], ",", 
        RowBox[{"60", " ", "Degree"}]}], "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".1"}], ",", "5.1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".1"}], ",", "5.1"}], "}"}]}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.627917816394308*^9, 3.627918003831655*^9}, {
   3.62791954252813*^9, 3.627919575853554*^9}, {3.6280063495729227`*^9, 
   3.628006350042568*^9}, {3.6280063940641117`*^9, 3.62800654403437*^9}, {
   3.6280065742992973`*^9, 3.62800665220852*^9}, {3.628006751322123*^9, 
   3.62800680491823*^9}, 3.62800683889365*^9, {3.6290396355670147`*^9, 
   3.629039654013468*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Discussion 1:",
  FontWeight->"Bold"],
 "  Review the meaning of the ",
 StyleBox[ButtonBox["parallelogram law",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ParallelogramLaw.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ParallelogramLaw.html"],
  FontColor->RGBColor[0, 0, 1]],
 ", then describe its meaning in your own words without looking at other \
written sources."
}], "Subsection",
 CellChangeTimes->{{3.6276557036467533`*^9, 3.627655717913577*^9}, {
   3.627655764618641*^9, 3.62765590921062*^9}, {3.627656765938553*^9, 
   3.627656864463704*^9}, {3.627656948349906*^9, 3.627656997576027*^9}, {
   3.627657059639831*^9, 3.6276571369713497`*^9}, {3.627657178490571*^9, 
   3.627657203292487*^9}, {3.6276573617503653`*^9, 3.627657361906416*^9}, {
   3.627657492593141*^9, 3.6276575163946*^9}, {3.627659369469182*^9, 
   3.627659372254017*^9}, {3.6279081214851007`*^9, 3.627908138201469*^9}, {
   3.627908171701682*^9, 3.6279082835834637`*^9}, {3.627908355561986*^9, 
   3.627908496036009*^9}, {3.62790879589528*^9, 3.627908795898261*^9}, 
   3.6288782722154303`*^9, {3.628881990992423*^9, 3.62888202354311*^9}, {
   3.628882059762259*^9, 3.628882073413611*^9}, 3.629469598388823*^9, {
   3.647883339634858*^9, 3.647883347705028*^9}}],

Cell[CellGroupData[{

Cell["Response 1: ", "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}}],

Cell[TextData[StyleBox["(You can type your thoughts and answers here \
formatted in text mode)",
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0.67, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659537608328*^9}, {3.627659670483754*^9, 
  3.627659682423826*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Grader/Instructor Response 1: ", "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.627659556506875*^9, 
  3.62765955845679*^9}, {3.627659617632988*^9, 3.62765961929755*^9}}],

Cell[TextData[StyleBox["(The grader/instructor will give you feedback about \
your work here)",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659578217204*^9}, {3.627659621472638*^9, 
  3.627659622910438*^9}, {3.628006013730137*^9, 3.6280060155901546`*^9}, {
  3.628877211175973*^9, 3.628877213714664*^9}}],

Cell[TextData[{
 "One of our goals here in Activity 3 is to learn how to use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s key dynamic interactivity command, ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", to make slider-enabled animations that illustrate the parallelogram rule. \
 First, we illustrate the use of ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " to make an interactive plot of the family of functions ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["f", "\[Omega]"], "(", "x", ")"}], "=", 
    RowBox[{"sin", "(", 
     RowBox[{"\[Omega]", " ", "x"}], ")"}]}], TraditionalForm]]],
 ".  Note that the ",
 StyleBox[ButtonBox["Plot",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Plot.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Plot.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " function is embedded within the ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", as the ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " function\[CloseCurlyQuote]s first input (specifically, ",
 StyleBox["Plot[Sin[\[Omega]*x],{x,-2\[Pi],2\[Pi]},PlotRange\[Rule]{-1,1},\
PlotStyle\[Rule]{Thick,Cyan},AxesLabel\[Rule]{\[OpenCurlyDoubleQuote]x\
\[CloseCurlyDoubleQuote],\[CloseCurlyDoubleQuote]y\[CloseCurlyDoubleQuote]}] ",
  FontWeight->"Bold"],
 "is the first input of ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " below). The parameter \[Omega] is called the ",
 StyleBox[ButtonBox["angular frequency",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Angular_frequency"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Angular_frequency"],
  FontColor->RGBColor[0, 0, 1]],
 " of the sinusoidal function, and it also serves as our animation parameter. \
 The list ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "1", ",", "5"}], "}"}], TraditionalForm]]],
 " is the second (and last) input for ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " in this case, and it causes the value of \[Omega] to start at 1 and \
increase to 5 before starting over again when the animation is played.  For a \
sampling of values of \[Omega] between 1 and 5, we get pictures of the graphs \
of the equations ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["f", "\[Omega]"], "(", "x", ")"}], "=", 
     RowBox[{"sin", "(", 
      RowBox[{"\[Omega]", " ", "x"}], ")"}]}]}], TraditionalForm]]],
 " that are stitched together to form an animation as \[Omega] increases."
}], "Text",
 CellChangeTimes->{{3.628881922540327*^9, 3.62888194083445*^9}, {
  3.628882090875868*^9, 3.628882136533702*^9}, {3.6288821723631573`*^9, 
  3.628882178726665*^9}, {3.628882265884664*^9, 3.6288824435818377`*^9}, {
  3.628882559546094*^9, 3.628882693299321*^9}, {3.628882724818524*^9, 
  3.628882801555065*^9}, {3.628882875185863*^9, 3.628882875189714*^9}, {
  3.6290396836875687`*^9, 3.629039735171509*^9}, {3.629039771071188*^9, 
  3.629039820804912*^9}, {3.629469649740692*^9, 3.629469742204919*^9}, {
  3.629469788820657*^9, 3.6294697926123466`*^9}, {3.63041677270511*^9, 
  3.630416785408359*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"\[Omega]", "*", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "\[Pi]"}], ",", 
       RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Cyan"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "1", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.62888244537401*^9, 3.628882488136654*^9}, {
  3.6288827354768057`*^9, 3.628882736026225*^9}, {3.628882917118342*^9, 
  3.62888292066613*^9}}],

Cell[TextData[{
 "As another example to illustrate the power and flexibility of ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", here is a short bit of code that will create a dynamic version of ",
 StyleBox[ButtonBox["Pascal\[CloseCurlyQuote]s Triangle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.mathsisfun.com/pascals-triangle.html"], None},
  ButtonNote->"http://www.mathsisfun.com/pascals-triangle.html"],
  FontColor->RGBColor[0, 0, 1]],
 ".  Note here that ",
 StyleBox[ButtonBox["Binomial",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Binomial.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Binomial.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 StyleBox[" ",
  FontColor->RGBColor[1, 0.5, 0]],
 "computes the value of the ",
 StyleBox[ButtonBox["Binomial coefficient",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.mathwords.com/b/binomial_coefficients.htm"], None},
  ButtonNote->"http://www.mathwords.com/b/binomial_coefficients.htm"],
  FontColor->RGBColor[0, 0, 1]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", GridBox[{
       {"n"},
       {"k"}
      }], ")"}], "=", 
    FractionBox[
     RowBox[{"n", "!"}], 
     RowBox[{
      RowBox[{"k", "!"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "-", "k"}], ")"}], "!"}]}]]}], TraditionalForm]]],
 ", ",
 StyleBox[ButtonBox["Table",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Table.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Table.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " creates the array of values, while ",
 StyleBox[ButtonBox["Column",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Column.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Column.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " and ",
 StyleBox[ButtonBox["Center",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Center.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Center.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " are used to format the output in the traditional way that Pascal\
\[CloseCurlyQuote]s Triangle is displayed, though the alignment is poor near \
the left and right edges as the triangle increases in size.  The use of the \
last 1 in the list {m,0,15,1} is what forces the value of ",
 StyleBox["m",
  FontSlant->"Italic"],
 " to increment up by 1 each time to remain at integer values as the \
animation proceeds."
}], "Text",
 CellChangeTimes->{{3.629039975120688*^9, 3.6290400270874243`*^9}, 
   3.629040106990629*^9, {3.629040142743079*^9, 3.6290402064917*^9}, {
   3.629040236527814*^9, 3.6290404881524763`*^9}, {3.629469813058011*^9, 
   3.629469938831723*^9}, 3.630416789095141*^9, {3.630416992307466*^9, 
   3.630416996782291*^9}, 3.647877162821171*^9}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Binomial", "[", 
        RowBox[{"n", ",", "k"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "0", ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}], ",", "Center"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0", ",", "15", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629040037864615*^9, 3.629040083220825*^9}, {
  3.647883510997045*^9, 3.647883524453562*^9}}],

Cell[TextData[{
 "Now we use ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " in conjunction with ",
 StyleBox[ButtonBox["Graphics",
  BaseStyle->"Hyperlink",
  ButtonData->{"Graphics ", None}],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " and ",
 StyleBox[ButtonBox["Arrow",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Arrow.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Arrow.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " to create an interactive output that illustrates the ",
 StyleBox[ButtonBox["parallelogram law",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ParallelogramLaw.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ParallelogramLaw.html"],
  FontColor->RGBColor[0, 0, 1]],
 " as the complex numbers change.  In the code below, there are four \
animation parameters for ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ": ",
 StyleBox["a",
  FontSlant->"Italic"],
 ", ",
 StyleBox["b",
  FontSlant->"Italic"],
 ", ",
 StyleBox["c",
  FontSlant->"Italic"],
 ", and ",
 StyleBox["d;",
  FontSlant->"Italic"],
 " representing the real and imaginary parts of the complex numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "+", 
    RowBox[{"b", " ", "\[ImaginaryI]"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"c", "+", 
    RowBox[{"d", " ", "\[ImaginaryI]"}]}], TraditionalForm]]],
 ".  Take note of the effects of the options ",
 StyleBox[ButtonBox["ImageSize",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/ImageSize.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/ImageSize.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " and ",
 StyleBox[ButtonBox["LabelStyle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/LabelStyle.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/LabelStyle.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " on the output."
}], "Text",
 CellChangeTimes->{{3.629040513163662*^9, 3.629040569980485*^9}, {
  3.629040744996682*^9, 3.629040770233128*^9}, {3.629040803590218*^9, 
  3.629040803825059*^9}, {3.629041554802207*^9, 3.629041577452675*^9}, {
  3.629041632244816*^9, 3.629041729885385*^9}, {3.629041929404203*^9, 
  3.6290419317972383`*^9}, {3.629041979143005*^9, 3.629042002552046*^9}, {
  3.629470003196558*^9, 3.629470088438107*^9}, {3.629470144338636*^9, 
  3.6294701489301863`*^9}, {3.630416794526456*^9, 3.630416803022736*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Red", ",", 
       RowBox[{"Arrow", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}]}], "}"}], "]"}], ",", 
       RowBox[{"Arrow", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "+", "c"}], ",", 
            RowBox[{"b", "+", "d"}]}], "}"}]}], "}"}], "]"}], ",", "Blue", 
       ",", 
       RowBox[{"Arrow", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], "]"}], ",", 
       RowBox[{"Arrow", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "+", "c"}], ",", 
            RowBox[{"b", "+", "d"}]}], "}"}]}], "}"}], "]"}], ",", "Black", 
       ",", 
       RowBox[{"Arrow", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "+", "c"}], ",", 
            RowBox[{"b", "+", "d"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<real\>\"", ",", "Large", ",", "Italic"}], "]"}], "]"}],
         ",", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<imaginary\>\"", ",", "Large", ",", "Italic"}], "]"}], 
         "]"}]}], "}"}]}], ",", 
     RowBox[{"TicksStyle", "\[Rule]", "Large"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "3"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "2"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "2"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.627917816394308*^9, 3.627918003831655*^9}, {
   3.62791954252813*^9, 3.627919575853554*^9}, {3.6280063495729227`*^9, 
   3.628006350042568*^9}, {3.6280063940641117`*^9, 3.62800654403437*^9}, {
   3.6280065742992973`*^9, 3.62800665220852*^9}, {3.628006751322123*^9, 
   3.62800680491823*^9}, 3.62800683889365*^9, {3.6290396355670147`*^9, 
   3.629039654013468*^9}, {3.629041747086073*^9, 3.6290419625559*^9}, {
   3.629042072677671*^9, 3.629042108008161*^9}, {3.629042162189253*^9, 
   3.62904221897007*^9}, {3.6290424958749323`*^9, 3.629042508306127*^9}, {
   3.647883615680831*^9, 3.647883632574874*^9}}],

Cell[TextData[{
 "If we are careful, we can now use ",
 StyleBox[ButtonBox["Show",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Show.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Show.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Graphics",
  BaseStyle->"Hyperlink",
  ButtonData->{"Graphics ", None}],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", and ",
 StyleBox[ButtonBox["Text",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Text.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Text.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " to add textual labels to these complex numbers (vectors) that move \
appropriately as the numbers themselves move.  We will use ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 " as the labels for these complex numbers (vectors).  Make sure you take the \
time to think about how the locations of the labels (as rectangular \
coordinates) within the ",
 StyleBox[ButtonBox["Text",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Text.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Text.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " commands (as, for example, .5{c,d}+{a,b}) depend on the values of ",
 StyleBox["a",
  FontSlant->"Italic"],
 ", ",
 StyleBox["b",
  FontSlant->"Italic"],
 ", ",
 StyleBox["c",
  FontSlant->"Italic"],
 ", and ",
 StyleBox["d",
  FontSlant->"Italic"],
 ". Note that the syntax near the end of the cell (such as the {{b,3},-4,4}) \
gives the \[OpenCurlyDoubleQuote]starting values\[CloseCurlyDoubleQuote] of \
",
 StyleBox["a",
  FontSlant->"Italic"],
 ", ",
 StyleBox["b",
  FontSlant->"Italic"],
 ", ",
 StyleBox["c",
  FontSlant->"Italic"],
 ", and ",
 StyleBox["d",
  FontSlant->"Italic"],
 " as 1, 3, 2, and 2, respectively; and note that this syntax forces the \
animation parameters to vary over the range from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "4"}], TraditionalForm]]],
 " to 4."
}], "Text",
 CellChangeTimes->{{3.629042022027693*^9, 3.629042069450336*^9}, {
   3.629042279797023*^9, 3.6290422813933363`*^9}, {3.629042325671021*^9, 
   3.6290423256729383`*^9}, {3.629042357892816*^9, 3.629042442539749*^9}, {
   3.629042959705723*^9, 3.629043037680381*^9}, {3.629043982487348*^9, 
   3.629044065491392*^9}, {3.629470175927203*^9, 3.629470177019432*^9}, {
   3.6294702090556726`*^9, 3.629470302662324*^9}, 3.630416857856923*^9, {
   3.630416913154581*^9, 3.630416916844002*^9}, 3.630416956364747*^9, {
   3.647883718404025*^9, 3.6478837318249083`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"c", ",", "d"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "+", "c"}], ",", 
             RowBox[{"b", "+", "d"}]}], "}"}]}], "}"}], "]"}], ",", "Blue", 
        ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"c", ",", "d"}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "+", "c"}], ",", 
             RowBox[{"b", "+", "d"}]}], "}"}]}], "}"}], "]"}], ",", "Black", 
        ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "+", "c"}], ",", 
             RowBox[{"b", "+", "d"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}],
      ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "Blue", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{".5", "*", 
           RowBox[{"{", 
            RowBox[{"c", ",", "d"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "Blue", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{".5", 
            RowBox[{"{", 
             RowBox[{"c", ",", "d"}], "}"}]}], "+", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)\>\"", ",", "Red", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{".5", "*", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)\>\"", ",", "Red", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{".5", 
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}]}], "+", 
           RowBox[{"{", 
            RowBox[{"c", ",", "d"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)+\!\(\*SubscriptBox[\(z\), \
\(2\)]\)\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{".5", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "+", "c"}], ",", 
             RowBox[{"b", "+", "d"}]}], "}"}]}]}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<real\>\"", ",", "Large", ",", "Italic"}], "]"}], "]"}],
         ",", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<imaginary\>\"", ",", "Large", ",", "Italic"}], "]"}], 
         "]"}]}], "}"}]}], ",", 
     RowBox[{"TicksStyle", "\[Rule]", "Large"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "3"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "2"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "2"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.627917816394308*^9, 3.627918003831655*^9}, {
   3.62791954252813*^9, 3.627919575853554*^9}, {3.6280063495729227`*^9, 
   3.628006350042568*^9}, {3.6280063940641117`*^9, 3.62800654403437*^9}, {
   3.6280065742992973`*^9, 3.62800665220852*^9}, {3.628006751322123*^9, 
   3.62800680491823*^9}, 3.62800683889365*^9, {3.6290396355670147`*^9, 
   3.629039654013468*^9}, {3.629041747086073*^9, 3.6290419625559*^9}, {
   3.629042072677671*^9, 3.629042108008161*^9}, {3.629042162189253*^9, 
   3.62904221897007*^9}, {3.629042477521633*^9, 3.629042482536397*^9}, {
   3.62904253092855*^9, 3.629042555944975*^9}, {3.629042588551577*^9, 
   3.629042742518916*^9}, {3.6290428014255533`*^9, 3.629042938575781*^9}, {
   3.6290438226586733`*^9, 3.629043833096436*^9}, 3.6478836680178833`*^9}],

Cell[TextData[{
 "To create a ",
 StyleBox["cursor-enabled",
  FontSlant->"Italic"],
 ", rather than a slider-enabled, animation of the same picture, we can make \
use of the ",
 StyleBox[ButtonBox["Locator",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Locator.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Locator.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " command within ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ".  Note that the syntax gives the \[OpenCurlyDoubleQuote]starting values\
\[CloseCurlyDoubleQuote] of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 " as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "=", 
    RowBox[{"1", "+", 
     RowBox[{"3", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "2"], "=", 
    RowBox[{"2", "+", 
     RowBox[{"2", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " (or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}], TraditionalForm]]],
 " as lists).  ",
 StyleBox[ButtonBox["Locator",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Locator.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Locator.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " then allows these to change two-dimensionally with the cursor location \
(once either \[OpenCurlyDoubleQuote]cross-hair\[CloseCurlyDoubleQuote] is \
clicked on) over the given window."
}], "Text",
 CellChangeTimes->{{3.629043360252287*^9, 3.629043423618256*^9}, {
   3.629043456650288*^9, 3.629043504372669*^9}, {3.629043559391673*^9, 
   3.629043562234599*^9}, {3.629043899817463*^9, 3.62904397431931*^9}, {
   3.629044073280322*^9, 3.629044191567025*^9}, {3.6294703570027533`*^9, 
   3.629470360530427*^9}, 3.6304168099100122`*^9, {3.630417028805369*^9, 
   3.630417030448969*^9}, 3.6478771676344757`*^9}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "z1"}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{"z2", ",", 
           RowBox[{"z1", "+", "z2"}]}], "}"}], "]"}], ",", "Blue", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "z2"}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{"z1", ",", 
           RowBox[{"z1", "+", "z2"}]}], "}"}], "]"}], ",", "Black", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"z1", "+", "z2"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "Blue", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{".5", "*", "z2"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "Blue", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{".5", "z2"}], "+", "z1"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)\>\"", ",", "Red", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{".5", "*", "z1"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)\>\"", ",", "Red", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{".5", "*", "z1"}], "+", "z2"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)+\!\(\*SubscriptBox[\(z\), \
\(2\)]\)\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{".5", "*", 
           RowBox[{"(", 
            RowBox[{"z1", "+", "z2"}], ")"}]}]}], "]"}]}], "}"}], "]"}], ",", 
     
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<real\>\"", ",", "Large", ",", "Italic"}], "]"}], "]"}],
         ",", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<imaginary\>\"", ",", "Large", ",", "Italic"}], "]"}], 
         "]"}]}], "}"}]}], ",", 
     RowBox[{"TicksStyle", "\[Rule]", "Large"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z2", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.627917816394308*^9, 3.627918003831655*^9}, {
   3.62791954252813*^9, 3.627919575853554*^9}, {3.6280063495729227`*^9, 
   3.628006350042568*^9}, {3.6280063940641117`*^9, 3.62800654403437*^9}, {
   3.6280065742992973`*^9, 3.62800665220852*^9}, {3.628006751322123*^9, 
   3.62800680491823*^9}, 3.62800683889365*^9, {3.6290396355670147`*^9, 
   3.629039654013468*^9}, {3.629041747086073*^9, 3.6290419625559*^9}, {
   3.629042072677671*^9, 3.629042108008161*^9}, {3.629042162189253*^9, 
   3.62904221897007*^9}, {3.629042477521633*^9, 3.629042482536397*^9}, {
   3.62904253092855*^9, 3.629042555944975*^9}, {3.629042588551577*^9, 
   3.629042742518916*^9}, {3.6290428014255533`*^9, 3.629042938575781*^9}, {
   3.629043611987419*^9, 3.629043695599142*^9}, {3.629043733615514*^9, 
   3.6290437612825117`*^9}, {3.629043843779813*^9, 3.629043873824851*^9}, 
   3.647883762205811*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 StyleBox[" Exercise 1:",
  FontWeight->"Bold"],
 "  Return to Activity 2 and study the way the sum of ",
 StyleBox["three",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 " complex numbers (as vectors) can be visualized.  Next, use ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Graphics",
  BaseStyle->"Hyperlink",
  ButtonData->{"Graphics ", None}],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " , ",
 StyleBox[ButtonBox["Arrow",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Arrow.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Arrow.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Show",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Show.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Show.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Text",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Text.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Text.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", and other ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands to create an interactive and labeled version of this diagram \
whose animation parameters are the real and imaginary parts of the complex \
numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "=", 
    RowBox[{"a", "+", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "2"], "=", 
    RowBox[{"c", "+", 
     RowBox[{"d", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "3"], "=", 
    RowBox[{"e", "+", 
     RowBox[{"f", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 ".  You can choose to make your interactivity either slider-enabled or \
cursor-enabled."
}], "Subsection",
 CellChangeTimes->{{3.6276557036467533`*^9, 3.627655717913577*^9}, {
   3.627655764618641*^9, 3.62765590921062*^9}, {3.627656765938553*^9, 
   3.627656864463704*^9}, {3.627656948349906*^9, 3.627656997576027*^9}, {
   3.627657059639831*^9, 3.6276571369713497`*^9}, {3.627657178490571*^9, 
   3.627657203292487*^9}, {3.6276573617503653`*^9, 3.627657361906416*^9}, {
   3.627657492593141*^9, 3.6276575163946*^9}, {3.627659108756077*^9, 
   3.627659190362417*^9}, {3.627908677348465*^9, 3.6279087177368393`*^9}, {
   3.627915943542495*^9, 3.627915953032187*^9}, {3.62791602506989*^9, 
   3.627916047611404*^9}, {3.627916089879258*^9, 3.6279161105186167`*^9}, 
   3.6280059612857428`*^9, {3.6288766369927673`*^9, 3.628876662716511*^9}, {
   3.629043080322031*^9, 3.6290433062565403`*^9}, {3.629044207330779*^9, 
   3.629044223935359*^9}, {3.629470390504675*^9, 3.629470391819384*^9}, 
   3.630416814568019*^9, {3.630416863938341*^9, 3.630416890763283*^9}, {
   3.630416926556278*^9, 3.6304169491485643`*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Work 1: "
}], "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659434447322*^9, 3.627659440180417*^9}, {3.627659519063675*^9, 
  3.6276595191998262`*^9}}],

Cell[TextData[{
 StyleBox["(Enter your code under this cell when ",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0.67, 0]],
 StyleBox["Mathematica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[0, 0.67, 0]],
 StyleBox[" is in \[OpenCurlyDoubleQuote]Input mode\[CloseCurlyDoubleQuote] \
\[LongDash] make sure a horizontal line is showing before you start typing)",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0.67, 0]]
}], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659460201036*^9, 3.627659504551834*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Grader/Instructor ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Assessment 1: "
}], "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.627659556506875*^9, 
  3.62765955845679*^9}, {3.627659617632988*^9, 3.627659649751532*^9}}],

Cell[TextData[StyleBox["(The grader/instructor will give you feedback about \
your work here)",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659578217204*^9}, {3.627659621472638*^9, 
  3.627659622910438*^9}, {3.628006013730137*^9, 3.6280060155901546`*^9}, {
  3.628877211175973*^9, 3.628877213714664*^9}}],

Cell[TextData[{
 "The ",
 StyleBox[ButtonBox["operation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/BinaryOperation.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/BinaryOperation.html"],
  FontColor->RGBColor[0, 0, 1]],
 " of ",
 StyleBox[ButtonBox["subtraction",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Subtraction"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Subtraction"],
  FontColor->RGBColor[0, 0, 1]],
 " can be defined for any ",
 StyleBox[ButtonBox["algebraic structure",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Algebraic_structure"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Algebraic_structure"],
  FontColor->RGBColor[0, 0, 1]],
 " where addition has been defined in such a way so as to guarantee the \
existence of an ",
 StyleBox[ButtonBox["additive identity",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Additive_identity"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Additive_identity"],
  FontColor->RGBColor[0, 0, 1]],
 " and ",
 StyleBox[ButtonBox["additive inverses",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Additive_inverse"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Additive_inverse"],
  FontColor->RGBColor[0, 0, 1]],
 ".  In such a situation, one element can then be subtracted from another \
element by adding the additive inverse of the element being subtracted.  In \
the particular case of the set of complex numbers \[DoubleStruckCapitalC], \
once addition has been defined via the formula ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", "\[ImaginaryI]"}]}], ")"}], "+", 
     RowBox[{"(", 
      RowBox[{"c", "+", 
       RowBox[{"d", " ", "\[ImaginaryI]"}]}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "+", "c"}], ")"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"b", "+", "d"}], ")"}], "\[ImaginaryI]"}]}]}], 
   TraditionalForm]]],
 ", it is clear that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0", "+", 
    RowBox[{"0", " ", "\[ImaginaryI]"}]}], TraditionalForm]]],
 " is the additive identity and that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"-", "a"}], ")"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "b"}], ")"}], "\[ImaginaryI]"}]}], TraditionalForm]]],
 " is the additive inverse of the arbitrary complex number ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "+", 
    RowBox[{"b", " ", "\[ImaginaryI]"}]}], TraditionalForm]]],
 ".  Hence, we can define ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", " ", "\[ImaginaryI]"}]}], ")"}], "-", 
    RowBox[{"(", 
     RowBox[{"c", "+", 
      RowBox[{"d", " ", "\[ImaginaryI]"}]}], ")"}]}], TraditionalForm]]],
 " to equal ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", " ", "\[ImaginaryI]"}]}], ")"}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "c"}], ")"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "d"}], ")"}], "\[ImaginaryI]"}]}], ")"}]}], 
   TraditionalForm]]],
 ".  Clearly this is also the same as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"a", "-", "c"}], ")"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"b", "-", "d"}], ")"}], "\[ImaginaryI]"}]}], 
   TraditionalForm]]],
 ", which is what you hopefully would have guessed we should do for complex \
number subtraction before reading this paragraph."
}], "Text",
 CellChangeTimes->{{3.62887736029354*^9, 3.628877813697063*^9}, {
  3.6288779303881702`*^9, 3.6288779303923483`*^9}, {3.62887800728559*^9, 
  3.628878035015439*^9}, {3.628878070609426*^9, 3.6288780964477882`*^9}, {
  3.6290442471637917`*^9, 3.629044317582831*^9}, {3.629044355914678*^9, 
  3.62904435680016*^9}, {3.647883858503025*^9, 3.647883873578676*^9}}],

Cell[TextData[{
 "The geometric meaning of complex number subtraction is the same as the \
geometric meaning of vector subtraction in the plane.  Given two vectors ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["v",
     FontWeight->"Bold",
     FontSlant->"Plain"], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"a", ",", "b"}], "\[RightAngleBracket]"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["w",
     FontWeight->"Bold",
     FontSlant->"Plain"], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"c", ",", "d"}], "\[RightAngleBracket]"}]}], TraditionalForm]]],
 ", how should we geometrically interpret the meaning of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["v",
     FontWeight->"Bold",
     FontSlant->"Plain"], 
    StyleBox["-",
     FontWeight->"Plain"], 
    StyleBox["w",
     FontWeight->"Bold",
     FontSlant->"Plain"]}], TraditionalForm]]],
 "?  There are two typical ways of doing this, both related to the ",
 StyleBox[ButtonBox["parallelogram law",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ParallelogramLaw.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ParallelogramLaw.html"],
  FontColor->RGBColor[0, 0, 1]],
 " for vector addition.   We could interpret ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["v",
     FontWeight->"Bold",
     FontSlant->"Plain"], "-", 
    StyleBox["w",
     FontWeight->"Bold",
     FontSlant->"Plain"]}], TraditionalForm]]],
 " as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["v",
     FontWeight->"Bold",
     FontSlant->"Plain"], "+", 
    RowBox[{"(", 
     RowBox[{"-", 
      StyleBox["w",
       FontWeight->"Bold",
       FontSlant->"Plain"]}], ")"}]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     StyleBox["w",
      FontWeight->"Bold",
      FontSlant->"Plain"]}], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"-", "c"}], ",", 
      RowBox[{"-", "d"}]}], "\[RightAngleBracket]"}]}], TraditionalForm]]],
 " is the additive inverse of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["w",
     FontWeight->"Bold",
     FontSlant->"Plain"], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"c", ",", "d"}], "\[RightAngleBracket]"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    StyleBox["w",
     FontWeight->"Bold",
     FontSlant->"Plain"]}], TraditionalForm]]],
 " has the same length as ",
 Cell[BoxData[
  FormBox[
   StyleBox["w",
    FontWeight->"Bold",
    FontSlant->"Plain"], TraditionalForm]]],
 " but points in the exact opposite direction.  Or we could realize, knowing \
that vector addition is commutative, that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["v",
     FontWeight->"Bold",
     FontSlant->"Plain"], "-", 
    StyleBox["w",
     FontWeight->"Bold",
     FontSlant->"Plain"]}], TraditionalForm]]],
 " is the unique vector with the property that it gives ",
 Cell[BoxData[
  FormBox[
   StyleBox["v",
    FontWeight->"Bold",
    FontSlant->"Plain"], TraditionalForm]]],
 " when added to ",
 Cell[BoxData[
  FormBox[
   StyleBox["w",
    FontWeight->"Bold",
    FontSlant->"Plain"], TraditionalForm]]],
 "; that is, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     StyleBox["w",
      FontWeight->"Bold",
      FontSlant->"Plain"], "+", 
     RowBox[{"(", 
      RowBox[{
       StyleBox["v",
        FontWeight->"Bold",
        FontSlant->"Plain"], "-", 
       StyleBox["w",
        FontWeight->"Bold",
        FontSlant->"Plain"]}], ")"}]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        StyleBox["v",
         FontWeight->"Bold",
         FontSlant->"Plain"], "-", 
        StyleBox["w",
         FontWeight->"Bold",
         FontSlant->"Plain"]}], ")"}], "+", 
      StyleBox["w",
       FontWeight->"Bold",
       FontSlant->"Plain"]}], "=", 
     StyleBox["v",
      FontWeight->"Bold",
      FontSlant->"Plain"]}]}], TraditionalForm]]],
 ".  If we view complex numbers as two-dimensional vectors, then we should \
view the geometry of complex number subtraction in the same way.  Both of \
these perspectives are represented in the interactive diagram generated by \
the code below for the complex numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "=", 
    RowBox[{"a", "+", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "2"], "=", 
    RowBox[{"c", "+", 
     RowBox[{"d", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " and their difference ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["z", "1"], "-", 
     SubscriptBox["z", "2"]}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "-", "c"}], ")"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"b", "-", "d"}], ")"}], "\[ImaginaryI]"}]}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.6288778497500353`*^9, 3.628877871869088*^9}, {
  3.6288781338775187`*^9, 3.628878164786434*^9}, {3.6290443700022793`*^9, 
  3.6290446338992033`*^9}, {3.6290446647075243`*^9, 3.629044796560207*^9}, {
  3.6290450197561073`*^9, 3.6290450350583267`*^9}, {3.629470573444415*^9, 
  3.629470601094866*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "z1"}], "}"}], "]"}], ",", 
        "LightRed", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "z2"}], ",", 
           RowBox[{"z1", "-", "z2"}]}], "}"}], "]"}], ",", "Blue", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "z2"}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"z1", "-", "z2"}], ",", "z1"}], "}"}], "]"}], ",", 
        "LightBlue", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"-", "z2"}]}], "}"}], "]"}], ",", "Green", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{"z2", ",", "z1"}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"z1", "-", "z2"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "Blue", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{".5", "*", "z2"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "Blue", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{".5", "z2"}], "+", 
           RowBox[{"(", 
            RowBox[{"z1", "-", "z2"}], ")"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<-\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "LightBlue", 
            ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"-", ".5"}], "*", "z2"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)\>\"", ",", "Red", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{".5", "*", "z1"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)\>\"", ",", "LightRed", ",",
             "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{".5", "*", "z1"}], "-", "z2"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)-\!\(\*SubscriptBox[\(z\), \
\(2\)]\)\>\"", ",", "Green", ",", "Large"}], "]"}], ",", 
          RowBox[{".5", "*", 
           RowBox[{"(", 
            RowBox[{"z1", "+", "z2"}], ")"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)-\!\(\*SubscriptBox[\(z\), \
\(2\)]\)\>\"", ",", "Green", ",", "Large"}], "]"}], ",", 
          RowBox[{".5", "*", 
           RowBox[{"(", 
            RowBox[{"z1", "-", "z2"}], ")"}]}]}], "]"}]}], "}"}], "]"}], ",", 
     
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<real\>\"", ",", "Large", ",", "Italic"}], "]"}], "]"}],
         ",", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<imaginary\>\"", ",", "Large", ",", "Italic"}], "]"}], 
         "]"}]}], "}"}]}], ",", 
     RowBox[{"TicksStyle", "\[Rule]", "Large"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z2", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.627917816394308*^9, 3.627918003831655*^9}, {
   3.62791954252813*^9, 3.627919575853554*^9}, {3.6280063495729227`*^9, 
   3.628006350042568*^9}, {3.6280063940641117`*^9, 3.62800654403437*^9}, {
   3.6280065742992973`*^9, 3.62800665220852*^9}, {3.628006751322123*^9, 
   3.62800680491823*^9}, 3.62800683889365*^9, {3.6290396355670147`*^9, 
   3.629039654013468*^9}, {3.629041747086073*^9, 3.6290419625559*^9}, {
   3.629042072677671*^9, 3.629042108008161*^9}, {3.629042162189253*^9, 
   3.62904221897007*^9}, {3.629042477521633*^9, 3.629042482536397*^9}, {
   3.62904253092855*^9, 3.629042555944975*^9}, {3.629042588551577*^9, 
   3.629042742518916*^9}, {3.6290428014255533`*^9, 3.629042938575781*^9}, {
   3.629043611987419*^9, 3.629043695599142*^9}, {3.629043733615514*^9, 
   3.6290437612825117`*^9}, {3.629043843779813*^9, 3.629043873824851*^9}, {
   3.629044837818722*^9, 3.629044862155982*^9}, {3.629044895841888*^9, 
   3.629044900657537*^9}, {3.6290449572987967`*^9, 3.629044979768902*^9}, {
   3.6290450552694893`*^9, 3.629045109558963*^9}, {3.6290451538236*^9, 
   3.629045154903913*^9}, {3.629045192035626*^9, 3.62904532730923*^9}, {
   3.629045365668602*^9, 3.629045453033134*^9}, 3.647883935430235*^9}],

Cell[TextData[{
 "Because of this diagram, the \[OpenCurlyDoubleQuote]quickest\
\[CloseCurlyDoubleQuote] way to draw ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "-", 
    SubscriptBox["z", "2"]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " as a vector is to draw a vector based at the tip (head) of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " and terminating at the tip (head) of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ", when both ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " are drawn starting from the same base (which is typically the origin ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0", "=", 
    RowBox[{"0", "+", 
     RowBox[{"0", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ")."
}], "Text",
 CellChangeTimes->{{3.629045468597005*^9, 3.62904554089961*^9}, {
  3.629045687445549*^9, 3.629045702520782*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Discussion 2:",
  FontWeight->"Bold"],
 "  Give a detailed explanation of why the diagram created from the preceding \
line of code illustrates the geometric meaning of complex number subtraction \
in two different ways, based on the ",
 StyleBox[ButtonBox["parallelogram law",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ParallelogramLaw.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ParallelogramLaw.html"],
  FontColor->RGBColor[0, 0, 1]],
 " for complex number addition.  Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    SubscriptBox["z", "2"]}], TraditionalForm]]],
 " can be thought of as playing a role in this diagram in two locations on \
one the parallelograms, though it is only labeled as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    SubscriptBox["z", "2"]}], TraditionalForm]]],
 " once."
}], "Subsection",
 CellChangeTimes->{{3.6276557036467533`*^9, 3.627655717913577*^9}, {
   3.627655764618641*^9, 3.62765590921062*^9}, {3.627656765938553*^9, 
   3.627656864463704*^9}, {3.627656948349906*^9, 3.627656997576027*^9}, {
   3.627657059639831*^9, 3.6276571369713497`*^9}, {3.627657178490571*^9, 
   3.627657203292487*^9}, {3.6276573617503653`*^9, 3.627657361906416*^9}, {
   3.627657492593141*^9, 3.6276575163946*^9}, {3.627659369469182*^9, 
   3.627659372254017*^9}, {3.6279081214851007`*^9, 3.627908138201469*^9}, {
   3.627908171701682*^9, 3.6279082835834637`*^9}, {3.627908355561986*^9, 
   3.627908496036009*^9}, {3.62790879589528*^9, 3.627908795898261*^9}, 
   3.6288782722154303`*^9, {3.628881990992423*^9, 3.62888202354311*^9}, {
   3.628882059762259*^9, 3.628882073413611*^9}, {3.62904556459684*^9, 
   3.629045669362246*^9}, {3.629045739534367*^9, 3.629045771922977*^9}, {
   3.6290458525993423`*^9, 3.629045892854755*^9}, {3.629470699628499*^9, 
   3.629470720730412*^9}}],

Cell[CellGroupData[{

Cell["Response 2: ", "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.629045565787298*^9, 
  3.629045565887186*^9}}],

Cell[TextData[StyleBox["(You can type your thoughts and answers here \
formatted in text mode)",
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0.67, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659537608328*^9}, {3.627659670483754*^9, 
  3.627659682423826*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Grader/Instructor Response 2: ", "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.627659556506875*^9, 
  3.62765955845679*^9}, {3.627659617632988*^9, 3.62765961929755*^9}, {
  3.629045567971429*^9, 3.629045568059292*^9}}],

Cell[TextData[StyleBox["(The grader/instructor will give you feedback about \
your work here)",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659578217204*^9}, {3.627659621472638*^9, 
  3.627659622910438*^9}, {3.628006013730137*^9, 3.6280060155901546`*^9}, {
  3.628877211175973*^9, 3.628877213714664*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 StyleBox[" Exercise 2:",
  FontWeight->"Bold"],
 "  Use ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Graphics",
  BaseStyle->"Hyperlink",
  ButtonData->{"Graphics ", None}],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Arrow",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Arrow.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Arrow.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Show",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Show.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Show.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Text",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Text.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Text.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", and other ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands to create an interactive diagram to illustrate the geometric \
meaning of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["z", "1"], "-", 
     SubscriptBox["z", "2"], "-", 
     SubscriptBox["z", "3"]}], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["z", "1"], "+", 
      RowBox[{"(", 
       RowBox[{"-", 
        SubscriptBox["z", "2"]}], ")"}], "+", 
      RowBox[{"(", 
       RowBox[{"-", 
        SubscriptBox["z", "3"]}], ")"}]}], "=", 
     RowBox[{
      SubscriptBox["z", "1"], "-", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["z", "2"], "+", 
        SubscriptBox["z", "3"]}], ")"}]}]}]}], TraditionalForm]]],
 " in any way you like.  You can choose to make your interactivity either \
slider-enabled or cursor-enabled."
}], "Subsection",
 CellChangeTimes->{{3.6276557036467533`*^9, 3.627655717913577*^9}, {
   3.627655764618641*^9, 3.62765590921062*^9}, {3.627656765938553*^9, 
   3.627656864463704*^9}, {3.627656948349906*^9, 3.627656997576027*^9}, {
   3.627657059639831*^9, 3.6276571369713497`*^9}, {3.627657178490571*^9, 
   3.627657203292487*^9}, {3.6276573617503653`*^9, 3.627657361906416*^9}, {
   3.627657492593141*^9, 3.6276575163946*^9}, {3.627659108756077*^9, 
   3.627659190362417*^9}, {3.627908677348465*^9, 3.6279087177368393`*^9}, {
   3.627915943542495*^9, 3.627915953032187*^9}, {3.62791602506989*^9, 
   3.627916047611404*^9}, {3.627916089879258*^9, 3.6279161105186167`*^9}, 
   3.6280059612857428`*^9, {3.6288766369927673`*^9, 3.628876662716511*^9}, {
   3.629043080322031*^9, 3.6290433062565403`*^9}, {3.629044207330779*^9, 
   3.629044223935359*^9}, {3.6290459115705214`*^9, 3.629045932780484*^9}, {
   3.629045994518643*^9, 3.6290460522866573`*^9}, 3.6304168202956133`*^9, {
   3.630416870752679*^9, 3.630416896025483*^9}, 3.630416932066305*^9}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Work 2: "
}], "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
   3.627659434447322*^9, 3.627659440180417*^9}, {3.627659519063675*^9, 
   3.6276595191998262`*^9}, 3.629045912926173*^9}],

Cell[TextData[{
 StyleBox["(Enter your code under this cell when ",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0.67, 0]],
 StyleBox["Mathematica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[0, 0.67, 0]],
 StyleBox[" is in \[OpenCurlyDoubleQuote]Input mode\[CloseCurlyDoubleQuote] \
\[LongDash] make sure a horizontal line is showing before you start typing)",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0.67, 0]]
}], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659460201036*^9, 3.627659504551834*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Grader/Instructor ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Assessment 2: "
}], "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
   3.627659516682569*^9, 3.627659516839205*^9}, {3.627659556506875*^9, 
   3.62765955845679*^9}, {3.627659617632988*^9, 3.627659649751532*^9}, 
   3.629045915534108*^9}],

Cell[TextData[StyleBox["(The grader/instructor will give you feedback about \
your work here)",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659578217204*^9}, {3.627659621472638*^9, 
  3.627659622910438*^9}, {3.628006013730137*^9, 3.6280060155901546`*^9}, {
  3.628877211175973*^9, 3.628877213714664*^9}}],

Cell[TextData[{
 "In our final activity, Activity 4, of this learning module on complex \
addition and the complex plane, we will delve a bit into ",
 StyleBox[ButtonBox["complex number multiplication",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Complex_number#Multiplication_and_\
division"], None},
  ButtonNote->
   "https://en.wikipedia.org/wiki/Complex_number#Multiplication_and_division"],
  FontColor->RGBColor[0, 0, 1]],
 " and the idea of ",
 StyleBox[ButtonBox["complex conjugation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Complex_number#Conjugation"], None},
  ButtonNote->"https://en.wikipedia.org/wiki/Complex_number#Conjugation"],
  FontColor->RGBColor[0, 0, 1]],
 " for the purpose of understanding a fundamental inequality called the ",
 StyleBox[ButtonBox["triangle inequality",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Triangle_inequality"], None},
  ButtonNote->"https://en.wikipedia.org/wiki/Triangle_inequality"],
  FontColor->RGBColor[0, 0, 1]],
 ", which symbolically expresses the basic idea that the shortest distance \
between two points is along the straight line between them."
}], "Text",
 CellChangeTimes->{{3.647884047675331*^9, 3.647884062785515*^9}, {
  3.6478841120990057`*^9, 3.647884193836042*^9}, {3.647884262044133*^9, 
  3.647884333581895*^9}, {3.647884381020494*^9, 3.647884381023304*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1240, 673},
WindowMargins->{{13, Automatic}, {-1, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (December 4, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 454, 12, 183, "Title"],
Cell[CellGroupData[{
Cell[1965, 51, 209, 3, 78, "Subchapter"],
Cell[2177, 56, 1396, 28, 236, "Subsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3610, 89, 283, 4, 78, "Subchapter"],
Cell[3896, 95, 812, 14, 175, "Subsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4745, 114, 306, 4, 78, "Subchapter"],
Cell[5054, 120, 5045, 119, 206, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10136, 244, 250, 3, 151, "Subchapter"],
Cell[10389, 249, 2113, 56, 212, "Text"],
Cell[12505, 307, 3351, 94, 233, "Input"],
Cell[CellGroupData[{
Cell[15881, 405, 1315, 24, 168, "Subsection"],
Cell[CellGroupData[{
Cell[17221, 433, 152, 2, 127, "Subsubsection"],
Cell[17376, 437, 327, 6, 110, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17740, 448, 263, 3, 127, "Subsubsection"],
Cell[18006, 453, 420, 7, 110, "Text"],
Cell[18429, 462, 4802, 109, 637, "Text"],
Cell[23234, 573, 943, 26, 171, "Input"],
Cell[24180, 601, 3392, 85, 472, "Text"],
Cell[27575, 688, 615, 17, 108, "Input"],
Cell[28193, 707, 3228, 85, 257, "Text"],
Cell[31424, 794, 3683, 102, 428, "Input"],
Cell[35110, 898, 2934, 82, 478, "Text"],
Cell[38047, 982, 5927, 162, 620, "Input"],
Cell[43977, 1146, 2530, 71, 262, "Text"],
Cell[46510, 1219, 4790, 123, 620, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[51349, 1348, 3523, 90, 538, "Subsection"],
Cell[CellGroupData[{
Cell[54897, 1442, 264, 7, 127, "Subsubsection"],
Cell[55164, 1451, 573, 14, 183, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55774, 1470, 336, 8, 127, "Subsubsection"],
Cell[56113, 1480, 420, 7, 110, "Text"],
Cell[56536, 1489, 4076, 119, 547, "Text"],
Cell[60615, 1610, 5333, 187, 633, "Text"],
Cell[65951, 1799, 6261, 158, 683, "Input"],
Cell[72215, 1959, 1210, 39, 196, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[73474, 2004, 1887, 38, 445, "Subsection"],
Cell[CellGroupData[{
Cell[75386, 2046, 201, 3, 127, "Subsubsection"],
Cell[75590, 2051, 327, 6, 110, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75954, 2062, 312, 4, 127, "Subsubsection"],
Cell[76269, 2068, 420, 7, 110, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[76738, 2081, 3407, 87, 445, "Subsection"],
Cell[CellGroupData[{
Cell[80170, 2172, 288, 7, 127, "Subsubsection"],
Cell[80461, 2181, 573, 14, 183, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81071, 2200, 364, 9, 127, "Subsubsection"],
Cell[81438, 2211, 420, 7, 110, "Text"],
Cell[81861, 2220, 1449, 30, 257, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature VuDdxoPEVN81@Agwtpi77x1t *)
