(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[    121630,       3456]
NotebookOptionsPosition[    118929,       3355]
NotebookOutlinePosition[    119318,       3372]
CellTagsIndexPosition[    119275,       3369]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Complex Number Addition and the Complex (",
 StyleBox[ButtonBox["Argand",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ArgandDiagram.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ArgandDiagram.html"],
  FontColor->RGBColor[0, 0, 1]],
 ") Plane, Activity 4"
}], "Title",
 CellChangeTimes->{
  3.6279099761990013`*^9, {3.628007103032901*^9, 3.628007104075787*^9}, 
   3.628877314081305*^9, 3.629472271319585*^9}],

Cell[CellGroupData[{

Cell["Learning Goals:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
  3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
  3.629471286589877*^9}}],

Cell[TextData[{
 "1) Learn about the algebraic and geometric meanings of complex conjugation \
and the modulus of a complex number, as well as the relationships between \
these.\n\n2) Gain algebraic and geometric understandings of the ",
 StyleBox[ButtonBox["triangle inequality",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Triangle_inequality"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Triangle_inequality"],
  FontColor->RGBColor[0, 0, 1]],
 ".\n\n3) Use the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " functions ",
 StyleBox[ButtonBox["Dot",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Dot.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Dot.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " (usually represented as a period ",
 StyleBox[ButtonBox["infix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Infix_notation"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Infix_notation"],
  FontColor->RGBColor[0, 0, 1]],
 " operator \[OpenCurlyDoubleQuote]",
 StyleBox[ButtonBox[".",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Dot.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Dot.html"],
  FontColor->RGBColor[1, 0.5, 0]],
 "\[CloseCurlyDoubleQuote]), ",
 StyleBox[ButtonBox["ReflectionMatrix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/ReflectionMatrix.html"], 
    None},
  ButtonNote->
   "http://reference.wolfram.com/language/ref/ReflectionMatrix.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Manipulate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Manipulate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Manipulate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Locator",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Locator.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Locator.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", ",
 StyleBox[ButtonBox["Abs",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Abs.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Abs.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 "."
}], "Subsection",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQbWebdmwV12tHWTmt2yD6ikDZAxAdpvEFTNekZr0A
0c/kEhhXA+lXX4+wgWhl71dgui5xOh+I7t2WyQ+iZ0V9FAPRZQfa1ED0lnl7
TEH0HtZlliD6ROU6VxA9cYW9P4he62AbDKI9lMzCQfS/OvUUEN1umg2m3Xxy
M0H01Cf3wfQlrgKvK0Da4LaGD4ieMSMoEES7roHQp0sWhoLokqTlcSC6adX1
X6u5geoirX6DaPNZnmFrgHTcadZwEP3rb+bBcp7XjtvazY6A6Fkm9SdANEdU
+kUQnflEg6cCSMco7+AF0R9W7Et7rfva8dvR52AaACyumew=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Prerequisites:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
   3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
   3.629471286589877*^9}, {3.62947861284763*^9, 3.629478616140943*^9}, 
   3.647877179585115*^9}],

Cell[TextData[{
 "1) Familiarity with vectors, linear algebra, and linear transformations\n\n\
2) Comfort with geometric interpretations of absolute value\n\n3) ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " content from Activities 1, 2, and 3 of this module"
}], "Subsection",
 CellChangeTimes->{{3.629471283194976*^9, 3.629471449316176*^9}, {
   3.629471491689554*^9, 3.629471495629924*^9}, 3.629471704802578*^9, {
   3.6294717887322683`*^9, 3.629471791315475*^9}, 3.629471883527823*^9, {
   3.629478639313504*^9, 3.629478679493908*^9}, {3.629478720658692*^9, 
   3.629478816037221*^9}, {3.629478847617557*^9, 3.629478917607266*^9}, {
   3.629478953660507*^9, 3.6294790227438717`*^9}, {3.630415999610663*^9, 
   3.630416001615253*^9}, {3.630416694408401*^9, 3.630416714732939*^9}, {
   3.6479537214345512`*^9, 3.647953722794533*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Introduction:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
  3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
  3.629471286589877*^9}, {3.6294714662738123`*^9, 3.629471468263523*^9}, {
  3.630423122713768*^9, 3.6304231254076643`*^9}}],

Cell[TextData[{
 "A fundamental part of geometry is the study of transformations that \
preserve various properties of geometric objects.  An important class of \
transformations includes the so-called ",
 StyleBox[ButtonBox["isometries",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Isometry"], None},
  ButtonNote->"https://en.wikipedia.org/wiki/Isometry"],
  FontColor->RGBColor[0, 0, 1]],
 ", which preserve distances along lines and curves.  Isometries include the \
familiar \[OpenCurlyDoubleQuote]rigid\[CloseCurlyDoubleQuote] ",
 StyleBox[ButtonBox["translations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Translation_(geometry)"], None},
  ButtonNote->"https://en.wikipedia.org/wiki/Translation_(geometry)"],
  FontColor->RGBColor[0, 0, 1]],
 " and ",
 StyleBox[ButtonBox["rotations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Rotation_(mathematics)"], None},
  ButtonNote->"https://en.wikipedia.org/wiki/Rotation_(mathematics)"],
  FontColor->RGBColor[0, 0, 1]],
 ", but they also include the slightly less familiar ",
 StyleBox[ButtonBox["reflections",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Rotation_(mathematics)"], None},
  ButtonNote->"https://en.wikipedia.org/wiki/Rotation_(mathematics)"],
  FontColor->RGBColor[0, 0, 1]],
 ".  In the plane, reflections include transformations that map every point \
to its \[OpenCurlyDoubleQuote]mirror image\[CloseCurlyDoubleQuote] across \
some line.  They also include transformations that map every point to its \
\[OpenCurlyDoubleQuote]mirror image\[CloseCurlyDoubleQuote] across from some \
point, although such a transformation can be though of more simply as a ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["180", "\[SmallCircle]"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " rotation about that point.  In the context of complex analysis, given a \
point ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "\[Element]", "\[DoubleStruckCapitalC]"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ", its reflection across the horizontal (real) axis is given a special \
symbol ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["z", "_"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " and is called the complex conugate of ",
 StyleBox["z",
  FontSlant->"Italic"],
 ".  It plays a special role in complex analysis, and we will see that role \
get played out in this activity culminating in a proof of the fact that the \
shortest distance between two points is along the straight line segment \
between them."
}], "Text",
 CellChangeTimes->{{3.647952659916428*^9, 3.647952768846237*^9}, {
  3.647952810334103*^9, 3.647952827795701*^9}, {3.647952871381792*^9, 
  3.6479529055483093`*^9}, {3.647952950752841*^9, 3.6479530439860992`*^9}, {
  3.647953328695636*^9, 3.647953493566421*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Content:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
  3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
  3.629471286589877*^9}, {3.6294714662738123`*^9, 3.629471468263523*^9}}],

Cell[TextData[{
 "The geometric concept of a ",
 StyleBox[ButtonBox["reflection",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Reflection_(mathematics)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Reflection_(mathematics)"],
  FontColor->RGBColor[0, 0, 1]],
 " is useful in many mathematical contexts, including ",
 StyleBox[ButtonBox["tests for symmetries in graphs of functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Even_and_odd_functions"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Even_and_odd_functions"],
  FontColor->RGBColor[0, 0, 1]],
 " (which, in turn, can lead to ",
 StyleBox[ButtonBox["simpler calculations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.intmath.com/fourier-series/3-fourier-even-odd-functions.\
php"], None},
  ButtonNote->
   "http://www.intmath.com/fourier-series/3-fourier-even-odd-functions.php"],
  FontColor->RGBColor[0, 0, 1]],
 " in important applied math subjects like ",
 StyleBox[ButtonBox["Fourier series",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/FourierSeries.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/FourierSeries.html"],
  FontColor->RGBColor[0, 0, 1]],
 ") and ",
 StyleBox[ButtonBox["applications of group theory to atoms, molecules, and \
solids",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.amazon.com/Applications-Group-Theory-Molecules-Solids/dp/\
1107028523/ref=sr_1_1?ie=UTF8&qid=1420484699&sr=8-1&keywords=applications+of+\
group+theory+to+atoms+molecules+and+solids"], None},
  ButtonNote->
   "http://www.amazon.com/Applications-Group-Theory-Molecules-Solids/dp/\
1107028523/ref=sr_1_1?ie=UTF8&qid=1420484699&sr=8-1&keywords=applications+of+\
group+theory+to+atoms+molecules+and+solids"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0, 1]],
 " (and to the sub-field of ",
 StyleBox[ButtonBox["crystallography",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.crystallography.fr/mathcryst/pdf/Gargnano/Souvignier_\
Gargnano_text.pdf"], None},
  ButtonNote->
   "http://www.crystallography.fr/mathcryst/pdf/Gargnano/Souvignier_Gargnano_\
text.pdf"],
  FontColor->RGBColor[0, 0, 1]],
 ").  In two-dimensional rectangular coordinate geometry, the simplest types \
of reflections are to reflect across the horizontal axis, to reflect across \
the vertical axis, and to reflect through the origin \[LongDash] though this \
last one is a different type than the first two.  The reflection that ",
 StyleBox[ButtonBox["maps",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Map_(mathematics)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Map_(mathematics)"],
  FontColor->RGBColor[0, 0, 1]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "=", 
    RowBox[{"a", "+", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " to its ",
 StyleBox[ButtonBox["additive inverse",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Additive_inverse"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Additive_inverse"],
  FontColor->RGBColor[0, 0, 1]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "z"}], "=", 
    RowBox[{
     RowBox[{"-", "a"}], "-", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " (denoted by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "\[RightTeeArrow]", 
    RowBox[{"-", "z"}]}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", "+", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}], "\[RightTeeArrow]", 
    RowBox[{
     RowBox[{"-", "a"}], "-", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 ") is a reflection through the origin.  The reflection that maps ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]]],
 " across the real (horizontal) axis is denoted by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "\[RightTeeArrow]", 
    OverscriptBox["z", "_"]}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"a", "+", 
      RowBox[{"b", " ", "\[ImaginaryI]"}]}], " ", "\[RightTeeArrow]", 
     OverscriptBox[
      RowBox[{"a", "+", 
       RowBox[{"b", " ", "\[ImaginaryI]"}]}], "_"]}], "=", 
    RowBox[{"a", "-", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " and is called ",
 StyleBox["complex conjugation",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 " \[LongDash] ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox["z", "_"], "=", 
    RowBox[{"a", "-", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " is called the ",
 StyleBox[ButtonBox["complex conjugate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Complex_conjugate"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Complex_conjugate"],
  FontColor->RGBColor[0, 0, 1]],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "=", 
    RowBox[{"a", "+", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 ".  The reflection that maps ",
 StyleBox["z",
  FontSlant->"Italic"],
 " across the imaginary (vertical) axis would take ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "+", 
    RowBox[{"b", " ", "\[ImaginaryI]"}]}], TraditionalForm]]],
 " and map it to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "a"}], "+", 
    RowBox[{"b", " ", "\[ImaginaryI]"}]}], TraditionalForm]]],
 ", which can be viewed as the ",
 StyleBox[ButtonBox["composite",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Function_composition"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Function_composition"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0, 0, 1]],
 " ",
 StyleBox[ButtonBox["transformation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Transformation_(function)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Transformation_(function)"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0, 0, 1]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "\[RightTeeArrow]", 
    OverscriptBox["z", "_"], "\[RightTeeArrow]", 
    RowBox[{"-", 
     OverscriptBox["z", "_"]}]}], TraditionalForm]]],
 ".  Evidently this is the same thing as the composition in the reverse order \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "\[RightTeeArrow]", 
    RowBox[{"-", "z"}], "\[RightTeeArrow]", 
    OverscriptBox[
     RowBox[{"-", "z"}], "_"]}], TraditionalForm]]],
 ", implying that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     OverscriptBox["z", "_"]}], "=", 
    OverscriptBox[
     RowBox[{"-", "z"}], "_"]}], TraditionalForm]]],
 ".  In ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", complex conjugation can be done for ",
 StyleBox["particular",
  FontSlant->"Italic"],
 " complex numbers with the function ",
 StyleBox[ButtonBox["Conjugate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Conjugate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Conjugate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " and we can numerically confirm this last equality by entering the code in \
the following cell."
}], "Text",
 CellChangeTimes->{{3.629472687558958*^9, 3.629472698437024*^9}, {
   3.6294727413386087`*^9, 3.6294727413407*^9}, {3.629472782544132*^9, 
   3.629472811369645*^9}, {3.629472868953162*^9, 3.6294729540240088`*^9}, {
   3.629473030204137*^9, 3.629473083729562*^9}, {3.629473299643169*^9, 
   3.629473310531507*^9}, {3.629473389184576*^9, 3.629473460734952*^9}, {
   3.629473520099414*^9, 3.629473536114401*^9}, {3.629473573905222*^9, 
   3.629473650202785*^9}, {3.62947368879712*^9, 3.629474177513637*^9}, {
   3.629474261162388*^9, 3.629474300643271*^9}, {3.629474427977951*^9, 
   3.6294744279811*^9}, {3.6294744663894157`*^9, 3.629474527784038*^9}, {
   3.629474573349744*^9, 3.6294746173734303`*^9}, {3.629474661641169*^9, 
   3.629474683535451*^9}, {3.6294754263152018`*^9, 3.6294754270911083`*^9}, {
   3.6294755349425983`*^9, 3.629475556526566*^9}, {3.629476114019676*^9, 
   3.62947611814399*^9}, {3.629476235591795*^9, 3.629476235595737*^9}, {
   3.62947626794939*^9, 3.62947626933917*^9}, {3.62955655124809*^9, 
   3.629556551252136*^9}, {3.629556614020814*^9, 3.629556619041005*^9}, {
   3.629556685953375*^9, 3.629556686126726*^9}, {3.630412402195137*^9, 
   3.6304124045646267`*^9}, 3.647877183580839*^9, {3.647950318633773*^9, 
   3.647950320669751*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "+", 
      RowBox[{"b", "*", "I"}]}], ",", 
     RowBox[{"-", 
      RowBox[{"Conjugate", "[", 
       RowBox[{"a", "+", 
        RowBox[{"b", "*", "I"}]}], "]"}]}], ",", 
     RowBox[{"Conjugate", "[", 
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"a", "+", 
         RowBox[{"b", "*", "I"}]}], ")"}]}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "2"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "3"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6294761371133423`*^9, 3.629476197782938*^9}, {
  3.6295566662566757`*^9, 3.6295566681734343`*^9}, {3.629998123981532*^9, 
  3.62999812781877*^9}, {3.6479504557450867`*^9, 3.6479504717878942`*^9}}],

Cell[TextData[{
 "The ",
 StyleBox[ButtonBox["parallelogram law",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ParallelogramLaw.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ParallelogramLaw.html"],
  FontColor->RGBColor[0, 0, 1]],
 " is ",
 StyleBox["not the only reason",
  FontSlant->"Italic"],
 " it is useful to view complex numbers as vectors, it can also be useful if \
we think of reflections and other kinds of ",
 StyleBox[ButtonBox["linear transformations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/LinearTransformation.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/LinearTransformation.html"],
  FontColor->RGBColor[0, 0, 1]],
 " in terms of ideas from ",
 StyleBox[ButtonBox["linear algebra",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Linear_algebra"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Linear_algebra"],
  FontColor->RGBColor[0, 0, 1]],
 ".  To be more specific, if we view the complex number ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "=", 
    RowBox[{"a", "+", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " as a column vector ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "=", 
    RowBox[{"(", GridBox[{
       {"a"},
       {"b"}
      }], ")"}]}], TraditionalForm]]],
 ", then reflections can be viewed as ",
 StyleBox[ButtonBox["linear transformations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/LinearTransformation.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/LinearTransformation.html"],
  FontColor->RGBColor[0, 0, 1]],
 " that ",
 StyleBox[ButtonBox["map",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Map_(mathematics)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Map_(mathematics)"],
  FontColor->RGBColor[0, 0, 1]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "=", 
    RowBox[{"(", GridBox[{
       {"a"},
       {"b"}
      }], ")"}]}], TraditionalForm]]],
 " to a vector of the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"R", " ", "z"}], "=", 
    RowBox[{"R", "(", GridBox[{
       {"a"},
       {"b"}
      }], ")"}]}], TraditionalForm]]],
 ", where ",
 StyleBox["R",
  FontSlant->"Italic"],
 " is some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Cross]", "2"}], TraditionalForm]]],
 " matrix and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"R", "(", GridBox[{
      {"a"},
      {"b"}
     }], ")"}], TraditionalForm]]],
 " represents the 2\[Cross]2 matrix ",
 StyleBox["R",
  FontSlant->"Italic"],
 " times the 2\[Cross]1 column vector ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {"a"},
      {"b"}
     }], ")"}], TraditionalForm]]],
 ", with the multiplication ",
 StyleBox[ButtonBox["defined in the usual way",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathinsight.org/matrix_vector_multiplication"], None},
  ButtonNote->"http://mathinsight.org/matrix_vector_multiplication"],
  FontColor->RGBColor[0, 0, 1]],
 ".  "
}], "Text",
 CellChangeTimes->{{3.6294754800568666`*^9, 3.629475499022704*^9}, {
   3.629476398194471*^9, 3.629476599102786*^9}, {3.629476687656145*^9, 
   3.629476905844799*^9}, {3.629476939454129*^9, 3.6294772362521267`*^9}, {
   3.629477435769599*^9, 3.629477510903364*^9}, 3.629477771058669*^9, {
   3.6294778085692244`*^9, 3.629477814350809*^9}, {3.629477860315151*^9, 
   3.629477860322295*^9}, 3.629477891316544*^9, {3.6294779283535748`*^9, 
   3.629477928358375*^9}, {3.629477981583416*^9, 3.629477981588272*^9}, {
   3.629478038550292*^9, 3.629478068428027*^9}, {3.6295567946375513`*^9, 
   3.629556800265997*^9}, {3.6295568571628036`*^9, 3.629556878319014*^9}, {
   3.629998159930026*^9, 3.629998170831645*^9}, {3.629998268433257*^9, 
   3.629998284992969*^9}, {3.630412459801208*^9, 3.630412486623701*^9}}],

Cell[TextData[{
 "For example, ",
 StyleBox["reflection across the horizontal axis (i.e., complex conjugation)",
  
  FontSlant->"Italic"],
 " can be viewed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", GridBox[{
        {"a"},
        {"b"}
       }], ")"}], "\[RightTeeArrow]", 
     RowBox[{"(", GridBox[{
        {"a"},
        {
         RowBox[{"-", "b"}]}
       }], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"1", "0"},
        {"0", 
         RowBox[{"-", "1"}]}
       }], ")"}], 
     RowBox[{"(", GridBox[{
        {"a"},
        {"b"}
       }], ")"}]}]}], TraditionalForm]]],
 ", so that the reflection matrix in this situation is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"R", "=", 
    RowBox[{"(", GridBox[{
       {"1", "0"},
       {"0", 
        RowBox[{"-", "1"}]}
      }], ")"}]}], TraditionalForm]]],
 ".  And ",
 StyleBox["reflection across the vertical axis",
  FontSlant->"Italic"],
 " can be viewed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", GridBox[{
        {"a"},
        {"b"}
       }], ")"}], "\[RightTeeArrow]", 
     RowBox[{"(", GridBox[{
        {
         RowBox[{"-", "a"}]},
        {"b"}
       }], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {
         RowBox[{"-", "1"}], "0"},
        {"0", "1"}
       }], ")"}], 
     RowBox[{"(", GridBox[{
        {"a"},
        {"b"}
       }], ")"}]}]}], TraditionalForm]]],
 ", so that the reflection matrix in this situation is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"R", "=", 
    RowBox[{"(", GridBox[{
       {
        RowBox[{"-", "1"}], "0"},
       {"0", "1"}
      }], ")"}]}], TraditionalForm]]],
 ".  ",
 StyleBox["Reflection through the origin",
  FontSlant->"Italic"],
 " can be viewed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", GridBox[{
        {"a"},
        {"b"}
       }], ")"}], "\[RightTeeArrow]", 
     RowBox[{"(", GridBox[{
        {
         RowBox[{"-", "a"}]},
        {
         RowBox[{"-", "b"}]}
       }], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {
         RowBox[{"-", "1"}], "0"},
        {"0", 
         RowBox[{"-", "1"}]}
       }], ")"}], 
     RowBox[{"(", GridBox[{
        {"a"},
        {"b"}
       }], ")"}]}]}], TraditionalForm]]],
 ", so that the \[OpenCurlyDoubleQuote]reflection matrix\
\[CloseCurlyDoubleQuote] in this situation is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"R", "=", 
    RowBox[{"(", GridBox[{
       {
        RowBox[{"-", "1"}], "0"},
       {"0", 
        RowBox[{"-", "1"}]}
      }], ")"}]}], TraditionalForm]]],
 " (actually, this is more commonly called a \[OpenCurlyDoubleQuote]rotation \
matrix\[CloseCurlyDoubleQuote] \[LongDash] see the introduction).  The ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " function ",
 StyleBox[ButtonBox["ReflectionMatrix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/ReflectionMatrix.html"], 
    None},
  ButtonNote->
   "http://reference.wolfram.com/language/ref/ReflectionMatrix.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " can confirm the first two results.  In general, the syntax ",
 StyleBox["ReflectionMatrix[{a,b}]",
  FontWeight->"Bold"],
 " produces a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Cross]", "2"}], TraditionalForm]]],
 " matrix representing a reflection across a line perpendicular to the vector \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {"a"},
      {"b"}
     }], ")"}], TraditionalForm]]],
 " (i.e., parallel to the vector ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {"b"},
      {
       RowBox[{"-", "a"}]}
     }], ")"}], TraditionalForm]]],
 ") though, as with ",
 StyleBox[ButtonBox["Conjugate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Conjugate.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Conjugate.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " above, this seems to work best for ",
 StyleBox["particular",
  FontSlant->"Italic"],
 " (real) numbers ",
 StyleBox["a",
  FontSlant->"Italic"],
 " and ",
 StyleBox["b",
  FontSlant->"Italic"],
 ".  ",
 StyleBox[ButtonBox["MatrixForm",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/MatrixForm.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/MatrixForm.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " is an output-formatting command that allows us to see the output as an \
actual ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Cross]", "2"}], TraditionalForm]]],
 " matrix (rather than a list of lists).  Because reflection through the \
origin is not reflection across any particular line, we cannot use ",
 StyleBox[ButtonBox["ReflectionMatrix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/ReflectionMatrix.html"], 
    None},
  ButtonNote->
   "http://reference.wolfram.com/language/ref/ReflectionMatrix.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " to confirm our answer for that case (though the matrix used above for that \
case is still correct).  We can, however, confirm our answers for the last \
two cases above.  Reflection across the horizontal axis is reflection across \
a line perpendicular to the vector ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {"0"},
      {"1"}
     }], ")"}], TraditionalForm]]],
 ":"
}], "Text",
 CellChangeTimes->{
  3.630412489334416*^9, {3.63041570574702*^9, 3.630415715075472*^9}, {
   3.6479530591864147`*^9, 3.647953142407131*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{"ReflectionMatrix", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.629477238479846*^9, 3.62947724559548*^9}, {
  3.6295568928593884`*^9, 3.629556895213749*^9}}],

Cell[TextData[{
 "Reflection across the vertical axis is reflection across a line \
perpendicular to the vector ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {"1"},
      {"0"}
     }], ")"}], TraditionalForm]]],
 " (here, ",
 StyleBox[ButtonBox["MatrixForm",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/MatrixForm.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/MatrixForm.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " is used \[OpenCurlyDoubleQuote]after the fact\[CloseCurlyDoubleQuote] \
using ",
 StyleBox[ButtonBox["postfix notation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Reverse_Polish_notation"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Reverse_Polish_notation"],
  FontColor->RGBColor[0, 0, 1]],
 " with the ",
 StyleBox[ButtonBox["Postfix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Postfix.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Postfix.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " operator ",
 StyleBox[ButtonBox["//",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Postfix.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Postfix.html"],
  FontColor->RGBColor[1, 0.5, 0]],
 ". This is often done when the application of a function in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is an \[OpenCurlyDoubleQuote]afterthought\[CloseCurlyDoubleQuote].)"
}], "Text",
 CellChangeTimes->{{3.6294772611992407`*^9, 3.6294772796382027`*^9}, {
   3.6304125729356327`*^9, 3.630412588556354*^9}, {3.6304126195033712`*^9, 
   3.630412720213698*^9}, {3.630412770667325*^9, 3.6304127777708817`*^9}, 
   3.630415734871422*^9, {3.647950784132559*^9, 3.6479508653284683`*^9}, {
   3.6479508994936447`*^9, 3.647950936906529*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReflectionMatrix", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}], "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.629477238479846*^9, 3.62947724559548*^9}, {
  3.629477285360756*^9, 3.629477285683897*^9}, {3.6304126667829723`*^9, 
  3.630412678368231*^9}}],

Cell[TextData[{
 "As already mentioned, reflection through the origin is really a rotation by \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["180", "\[SmallCircle]"], "=", 
    RowBox[{"\[Pi]", " ", "radians"}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " about the origin.  We can use ",
 StyleBox[ButtonBox["RotationMatrix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/RotationMatrix.html"], 
    None},
  ButtonNote->"http://reference.wolfram.com/language/ref/RotationMatrix.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " to confirm this."
}], "Text",
 CellChangeTimes->{{3.6479531727006893`*^9, 3.6479532513481483`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"RotationMatrix", "[", "\[Pi]", "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RotationMatrix", "[", 
   RowBox[{"180", "Degree"}], "]"}], "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.6479532536024513`*^9, 3.647953300118822*^9}}],

Cell[TextData[{
 "We can algebraically implement complex conjugation as a mapping ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", GridBox[{
         {"a"},
         {"b"}
        }], ")"}], "\[RightTeeArrow]", 
      RowBox[{
       RowBox[{"(", GridBox[{
          {"1", "0"},
          {"0", 
           RowBox[{"-", "1"}]}
         }], ")"}], 
       RowBox[{"(", GridBox[{
          {"a"},
          {"b"}
         }], ")"}]}]}], "=", 
     RowBox[{
      RowBox[{"(", GridBox[{
         {"a"},
         {
          RowBox[{"-", "b"}]}
        }], ")"}], "=", 
      OverscriptBox["z", "_"]}]}]}], TraditionalForm]]],
 " using the ",
 StyleBox[ButtonBox["Dot",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Dot.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Dot.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " ",
 StyleBox[ButtonBox["infix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Infix_notation"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Infix_notation"],
  FontColor->RGBColor[0, 0, 1]],
 " operator (period) \[OpenCurlyDoubleQuote]",
 StyleBox[ButtonBox[".",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Dot.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Dot.html"],
  FontWeight->"Bold",
  FontColor->RGBColor[1, 0.5, 0]],
 "\[CloseCurlyDoubleQuote] to do the matrix multiplication:"
}], "Text",
 CellChangeTimes->{{3.629477538187016*^9, 3.629477630717071*^9}, {
   3.629477662703617*^9, 3.629477690651123*^9}, {3.629556939526498*^9, 
   3.629556940582906*^9}, 3.630415758358769*^9}],

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{
   RowBox[{"(", GridBox[{
      {"1", "0"},
      {"0", 
       RowBox[{"-", "1"}]}
     }], ")"}], ".", 
   RowBox[{"(", GridBox[{
      {"a"},
      {"b"}
     }], ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629477713920527*^9, 3.629477733972776*^9}}],

Cell[TextData[{
 "Technically speaking the output of the code ",
 Cell[BoxData[
  StyleBox[
   RowBox[{
    RowBox[{"(", GridBox[{
       {"1", "0"},
       {"0", 
        RowBox[{"-", "1"}]}
      }], ")"}], ".", 
    RowBox[{"(", GridBox[{
       {"a"},
       {"b"}
      }], ")"}]}],
   FontWeight->"Bold"]],
  CellChangeTimes->{{3.629478136546781*^9, 3.629478138752082*^9}}],
 "(without ",
 StyleBox[ButtonBox["MatrixForm",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/MatrixForm.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/MatrixForm.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ") is ",
 StyleBox["not",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 " the list ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "b"}]}], "}"}], TraditionalForm]]],
 " whose entries are the numbers ",
 StyleBox["a",
  FontSlant->"Italic"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "b"}], TraditionalForm]]],
 ".  Rather, it is the list ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "a", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"-", "b"}], "}"}]}], "}"}], TraditionalForm]]],
 " whose entries are the lists ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", "a", "}"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"-", "b"}], "}"}], TraditionalForm]]],
 " \[LongDash] which is",
 StyleBox[" Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s way of representing the column matrix ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {"a"},
      {
       RowBox[{"-", "b"}]}
     }], ")"}], TraditionalForm]]],
 " in terms of lists.  Again, note that ",
 StyleBox[ButtonBox["MatrixForm",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/MatrixForm.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/MatrixForm.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " is not being used below."
}], "Text",
 CellChangeTimes->{{3.629478146784317*^9, 3.629478149286859*^9}, {
  3.629478200928605*^9, 3.629478258664151*^9}, {3.629478507999261*^9, 
  3.629478569524744*^9}, {3.629556957311398*^9, 3.629557030604649*^9}, {
  3.62955708589918*^9, 3.629557086312372*^9}, {3.630415739463347*^9, 
  3.6304157437747717`*^9}, {3.647950999297812*^9, 3.647951010255869*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    }], ")"}], ".", 
  RowBox[{"(", GridBox[{
     {"a"},
     {"b"}
    }], ")"}]}]], "Input"],

Cell[TextData[{
 "This might seem like a minor problem, but we do run into trouble with it if \
we want to plot points with ",
 StyleBox[ButtonBox["ListPlot",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/ListPlot.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/ListPlot.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ".  There are two ways around this problem.  One thing we can do is use ",
 StyleBox[ButtonBox["Flatten",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Flatten.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Flatten.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " to rid the list ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "a", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"-", "b"}], "}"}]}], "}"}], TraditionalForm]]],
 " of its \[OpenCurlyDoubleQuote]inner lists\[CloseCurlyDoubleQuote], leaving \
just the numbers ",
 StyleBox["a",
  FontSlant->"Italic"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "b"}], TraditionalForm]]],
 " behind for the entries of the new list."
}], "Text",
 CellChangeTimes->{{3.6294782670413237`*^9, 3.6294783520994987`*^9}, {
  3.629478456934957*^9, 3.6294784853656883`*^9}, {3.629478585031118*^9, 
  3.6294785850346527`*^9}, {3.629998381560033*^9, 3.629998392787531*^9}, {
  3.6304128372673187`*^9, 3.6304128408884583`*^9}, {3.6479510354959784`*^9, 
  3.647951038406378*^9}}],

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{
   RowBox[{"(", GridBox[{
      {"1", "0"},
      {"0", 
       RowBox[{"-", "1"}]}
     }], ")"}], ".", 
   RowBox[{"(", GridBox[{
      {"a"},
      {"b"}
     }], ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629478136546781*^9, 3.629478138752082*^9}, {
  3.629557055540642*^9, 3.629557063526372*^9}}],

Cell[TextData[{
 "Alternatively, if we input the column matrix ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {"a"},
      {"b"}
     }], ")"}], TraditionalForm]]],
 " as the ",
 StyleBox["actual list",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], TraditionalForm]]],
 " and use the ",
 StyleBox[ButtonBox["infix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Infix_notation"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Infix_notation"],
  FontColor->RGBColor[0, 0, 1]],
 " ",
 StyleBox[ButtonBox["Dot",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Dot.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Dot.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " operator (period) \[OpenCurlyDoubleQuote]",
 StyleBox[ButtonBox[".",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Dot.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Dot.html"],
  FontWeight->"Bold",
  FontColor->RGBColor[1, 0.5, 0]],
 "\[CloseCurlyDoubleQuote] in the same kind of way as before, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " still does the correct matrix/vector multiplication, but returns the \
(unformatted) answer as the list ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "b"}]}], "}"}], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.629478356947184*^9, 3.6294784271132383`*^9}, {
  3.629557110334982*^9, 3.6295571231322308`*^9}, {3.629557230638514*^9, 
  3.62955724852275*^9}, {3.629558894318264*^9, 3.6295588972721786`*^9}, {
  3.6299984071125307`*^9, 3.6299984085560417`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    }], ")"}], ".", 
  RowBox[{"{", 
   RowBox[{"a", ",", "b"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6294782966271343`*^9, 3.629478299661564*^9}, {
  3.6295571290510283`*^9, 3.629557133530834*^9}, {3.62999841497641*^9, 
  3.6299984243784113`*^9}, {3.6479510794709473`*^9, 3.647951100092328*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Discussion 1:",
  FontWeight->"Bold"],
 "  Describe other kinds of geometric transformations/motions of the plane \
\[LongDash] that map a given geometric object to another object that is \
either ",
 StyleBox[ButtonBox["congruent",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Congruence_(geometry)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Congruence_(geometry)"],
  FontColor->RGBColor[0, 0, 1]],
 " to or ",
 StyleBox[ButtonBox["similar",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Similarity_(geometry)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Similarity_(geometry)"],
  FontColor->RGBColor[0, 0, 1]],
 " to the original object.  You can describe them verbally but you should \
also be more mathematically precise in your descriptions.  For example, you \
could describe what happens to the complex numbers (vectors) ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "=", 
    RowBox[{"1", "=", 
     RowBox[{"(", GridBox[{
        {"1"},
        {"0"}
       }], ")"}]}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "=", 
    RowBox[{"\[ImaginaryI]", "=", 
     RowBox[{"(", GridBox[{
        {"0"},
        {"1"}
       }], ")"}]}]}], TraditionalForm]]],
 " under these transformations.  Is this last description sufficient to \
completely describe how the transformation acts on every point/vector?  Is \
the transformation ",
 StyleBox[ButtonBox["linear",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Linear_map"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Linear_map"],
  FontColor->RGBColor[0, 0, 1]],
 " (does it have an associated matrix and map the zero vector to itself)? Is \
it ",
 StyleBox[ButtonBox["affine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Affine_transformation"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Affine_transformation"],
  FontColor->RGBColor[0, 0, 1]],
 " (another type of transformation that has an associated matrix as part of \
its description)?  Does it ",
 StyleBox[ButtonBox["preserve distances",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Isometry"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Isometry"],
  FontColor->RGBColor[0, 0, 1]],
 "?  You may want to consider experimenting with the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " function ",
 StyleBox[ButtonBox["RotationMatrix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/RotationMatrix.html"], 
    None},
  ButtonNote->"http://reference.wolfram.com/language/ref/RotationMatrix.html"],
  FontColor->RGBColor[0, 0, 1]],
 " to help you give a fuller description."
}], "Subsection",
 CellChangeTimes->{{3.6276557036467533`*^9, 3.627655717913577*^9}, {
   3.627655764618641*^9, 3.62765590921062*^9}, {3.627656765938553*^9, 
   3.627656864463704*^9}, {3.627656948349906*^9, 3.627656997576027*^9}, {
   3.627657059639831*^9, 3.6276571369713497`*^9}, {3.627657178490571*^9, 
   3.627657203292487*^9}, {3.6276573617503653`*^9, 3.627657361906416*^9}, {
   3.627657492593141*^9, 3.6276575163946*^9}, {3.627659369469182*^9, 
   3.627659372254017*^9}, {3.6279081214851007`*^9, 3.627908138201469*^9}, {
   3.627908171701682*^9, 3.6279082835834637`*^9}, {3.627908355561986*^9, 
   3.627908496036009*^9}, {3.62790879589528*^9, 3.627908795898261*^9}, 
   3.6288782722154303`*^9, {3.628881990992423*^9, 3.62888202354311*^9}, {
   3.628882059762259*^9, 3.628882073413611*^9}, 3.629469598388823*^9, {
   3.629998830751891*^9, 3.629998933934198*^9}, {3.630001546086879*^9, 
   3.6300016707378607`*^9}, {3.6300017435798073`*^9, 
   3.6300018363802013`*^9}, {3.630001918921701*^9, 3.630001918924651*^9}, {
   3.630001990764906*^9, 3.6300020022258387`*^9}, {3.630002042647601*^9, 
   3.630002075891692*^9}, {3.630412921433132*^9, 3.6304130642706347`*^9}, {
   3.6479511089989147`*^9, 3.647951113756155*^9}}],

Cell[CellGroupData[{

Cell["Response 1: ", "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}}],

Cell[TextData[StyleBox["(You can type your thoughts and answers here \
formatted in text mode)",
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0.67, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659537608328*^9}, {3.627659670483754*^9, 
  3.627659682423826*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Grader/Instructor Response 1: ", "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.627659556506875*^9, 
  3.62765955845679*^9}, {3.627659617632988*^9, 3.62765961929755*^9}}],

Cell[TextData[StyleBox["(The grader/instructor will give you feedback about \
your work here)",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659578217204*^9}, {3.627659621472638*^9, 
  3.627659622910438*^9}, {3.628006013730137*^9, 3.6280060155901546`*^9}, {
  3.628877211175973*^9, 3.628877213714664*^9}}],

Cell[TextData[{
 "We can now use the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " knowledge gained from the previous activities in this educational module \
on complex addition and the complex plane to produce a locator-enabled \
animation showing the geometric effect of conjugation on points in the \
complex plane (previously we called such a thing \
\[OpenCurlyDoubleQuote]cursor-enabled\[CloseCurlyDoubleQuote], but from now \
on we will call it \[OpenCurlyDoubleQuote]locator-enabled\
\[CloseCurlyDoubleQuote]).  Study the code below, especially in light of the \
content related to ",
 StyleBox[ButtonBox["Locator",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Locator.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Locator.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " from Activity 3, to gain understanding and help you do the exercise \
further below.   Note that the ",
 StyleBox[ButtonBox["infix",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Infix_notation"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Infix_notation"],
  FontColor->RGBColor[0, 0, 1]],
 " star operator ",
 StyleBox[ButtonBox["*",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Times.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Times.html"],
  FontColor->RGBColor[1, 0.5, 0]],
 " multiplies each element of a list by the same number \
(we\[CloseCurlyQuote]ve used this before)."
}], "Text",
 CellChangeTimes->{{3.629557356488151*^9, 3.629557445701747*^9}, {
   3.6295575129479017`*^9, 3.6295575908666677`*^9}, 3.6295576475439243`*^9, {
   3.629558850029807*^9, 3.6295589257027607`*^9}, {3.6299984331702223`*^9, 
   3.6299984683331547`*^9}, {3.6299985312803173`*^9, 3.629998536196225*^9}, {
   3.630002136897518*^9, 3.630002170182365*^9}, {3.630413101985351*^9, 
   3.6304131242596083`*^9}, 3.647877200623145*^9, {3.647951228313513*^9, 
   3.6479512663016148`*^9}, {3.6479513158061*^9, 3.6479513158090057`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"R", "=", 
   RowBox[{"(", GridBox[{
      {"1", "0"},
      {"0", 
       RowBox[{"-", "1"}]}
     }], ")"}]}], ";", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Red", ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "z"}], "}"}], "]"}], ",", 
         "Blue", ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"R", ".", "z"}]}], "}"}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<z\>\"", ",", "Red", ",", "Large", ",", "Italic"}], 
            "]"}], ",", 
           RowBox[{"1.2", "*", "z"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
            "\"\<\!\(\*OverscriptBox[\(z\), \(_\)]\)\>\"", ",", "Blue", ",", 
             "Large", ",", "Italic"}], "]"}], ",", 
           RowBox[{"1.2", "*", 
            RowBox[{"R", ".", "z"}]}]}], "]"}]}], "}"}], "]"}], ",", 
      RowBox[{"ListPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"R", ".", "z"}]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"PointSize", "[", ".02", "]"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"Axes", "\[Rule]", "True"}], ",", 
      RowBox[{"AxesStyle", "\[Rule]", "Large"}], ",", 
      RowBox[{"TicksStyle", "\[Rule]", "Black"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "5"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<real\>\"", ",", "Large", ",", "Italic"}], "]"}], 
          "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<imaginary\>\"", ",", "Large", ",", "Italic"}], "]"}], 
          "]"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", "Locator"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.629557452288809*^9, 3.629557478865416*^9}, {
  3.629557599104601*^9, 3.629557884577086*^9}, {3.6295579774476*^9, 
  3.629558092628974*^9}, {3.629558130347782*^9, 3.629558193725396*^9}, {
  3.629558225415*^9, 3.629558251242276*^9}, {3.629558286990299*^9, 
  3.629558366341771*^9}, {3.629558840729022*^9, 3.629558843822616*^9}, {
  3.630413146990986*^9, 3.630413165779563*^9}, {3.647951330518182*^9, 
  3.647951338141713*^9}}],

Cell[TextData[{
 "If we want, we can even get fancy and include another animation parameter, \
call it \[Lambda], that allows us to actually visualize the reflection of ",
 StyleBox["z",
  FontSlant->"Italic"],
 " to ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["z", "_"], TraditionalForm]]],
 " as \[Lambda] varies from 0 to 1.  This takes some creativity to construct. \
 Do some research on how to use the conditional command ",
 StyleBox[ButtonBox["If",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/If.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/If.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " and the formatting command ",
 StyleBox[ButtonBox["Dashing",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Dashing.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Dashing.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " if you have the desire to understand it.  We will have occasion to create \
similar animations in future modules, so it is worth your time to study.  \
Either way, you can enjoy the dynamic output that occurs when you open up the \
\[Lambda]-slider and play the animation."
}], "Text",
 CellChangeTimes->{{3.629557909951339*^9, 3.6295579516271276`*^9}, {
   3.6295583774629507`*^9, 3.629558428100163*^9}, {3.629558732103746*^9, 
   3.629558804102005*^9}, {3.6295589857043447`*^9, 3.6295589926665907`*^9}, {
   3.629559023719282*^9, 3.629559200661569*^9}, {3.629998575297241*^9, 
   3.6299985763871326`*^9}, 3.647877207329796*^9, {3.647951375699635*^9, 
   3.647951376712214*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"R", "=", 
   RowBox[{"(", GridBox[{
      {"1", "0"},
      {"0", 
       RowBox[{"-", "1"}]}
     }], ")"}]}], ";", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Red", ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "z"}], "}"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Lambda]", "<", ".95"}], ",", 
           RowBox[{"Dashing", "[", ".01", "]"}], ",", 
           RowBox[{"Dashing", "[", "1", "]"}]}], "]"}], ",", "Blue", ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Lambda]"}], ")"}], "*", "z"}], "+", 
             RowBox[{"\[Lambda]", "*", 
              RowBox[{"R", ".", "z"}]}]}]}], "}"}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<z\>\"", ",", "Red", ",", "Large", ",", "Italic"}], 
            "]"}], ",", 
           RowBox[{"1.2", "*", "z"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
            "\"\<\!\(\*OverscriptBox[\(z\), \(_\)]\)\>\"", ",", "Blue", ",", 
             "Large", ",", "Italic"}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"\[Lambda]", "<", ".95"}], ",", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", "6", ")"}]}], "*", 
              RowBox[{"R", ".", "z"}]}], ",", 
             RowBox[{"1.2", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "\[Lambda]"}], ")"}], "*", "z"}], "+", 
                RowBox[{"\[Lambda]", "*", 
                 RowBox[{"R", ".", "z"}]}]}], ")"}]}]}], "]"}]}], "]"}]}], 
        "}"}], "]"}], ",", 
      RowBox[{"ListPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Lambda]"}], ")"}], "*", "z"}], "+", 
           RowBox[{"\[Lambda]", "*", 
            RowBox[{"R", ".", "z"}]}]}]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"PointSize", "[", ".02", "]"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"Axes", "\[Rule]", "True"}], ",", 
      RowBox[{"AxesStyle", "\[Rule]", "Large"}], ",", 
      RowBox[{"TicksStyle", "\[Rule]", "Black"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "5"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<real\>\"", ",", "Large", ",", "Italic"}], "]"}], 
          "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<imaginary\>\"", ",", "Large", ",", "Italic"}], "]"}], 
          "]"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"\[Lambda]", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.629557452288809*^9, 3.629557478865416*^9}, {
   3.629557599104601*^9, 3.629557884577086*^9}, {3.6295579774476*^9, 
   3.629558092628974*^9}, {3.629558130347782*^9, 3.629558193725396*^9}, {
   3.629558225415*^9, 3.629558251242276*^9}, {3.629558286990299*^9, 
   3.6295582883670473`*^9}, {3.629558932381489*^9, 3.629558944496235*^9}, {
   3.630413225479416*^9, 3.6304132392505703`*^9}, 3.6479514073807983`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 StyleBox[" Exercise 1:",
  FontWeight->"Bold"],
 "  Make a locator-enabled animation showing the geometric effect of the \
mapping that sends ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]]],
 " to its reflection ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox[
     RowBox[{"-", "z"}], "_"], "=", 
    RowBox[{"-", 
     OverscriptBox["z", "_"]}]}], TraditionalForm]]],
 " with respect to the imaginary (vertical) axis. Label the points/vectors \
with ",
 StyleBox["z",
  FontSlant->"Italic"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    OverscriptBox["z", "_"]}], TraditionalForm]]],
 ".  As an optional part to this exercise, include an animation parameter \
that allows you to visualize the reflection as the parameter varies from 0 to \
1."
}], "Subsection",
 CellChangeTimes->{{3.6276557036467533`*^9, 3.627655717913577*^9}, {
   3.627655764618641*^9, 3.62765590921062*^9}, {3.627656765938553*^9, 
   3.627656864463704*^9}, {3.627656948349906*^9, 3.627656997576027*^9}, {
   3.627657059639831*^9, 3.6276571369713497`*^9}, {3.627657178490571*^9, 
   3.627657203292487*^9}, {3.6276573617503653`*^9, 3.627657361906416*^9}, {
   3.627657492593141*^9, 3.6276575163946*^9}, {3.627659108756077*^9, 
   3.627659190362417*^9}, {3.627908677348465*^9, 3.6279087177368393`*^9}, {
   3.627915943542495*^9, 3.627915953032187*^9}, {3.62791602506989*^9, 
   3.627916047611404*^9}, {3.627916089879258*^9, 3.6279161105186167`*^9}, 
   3.6280059612857428`*^9, {3.6288766369927673`*^9, 3.628876662716511*^9}, {
   3.629043080322031*^9, 3.6290433062565403`*^9}, {3.629044207330779*^9, 
   3.629044223935359*^9}, {3.629470390504675*^9, 3.629470391819384*^9}, {
   3.630002106095628*^9, 3.630002125868054*^9}, {3.630002176996207*^9, 
   3.63000233016544*^9}, {3.630413279679497*^9, 3.630413283427539*^9}, {
   3.6304151990681458`*^9, 3.630415199207959*^9}, {3.64795145172714*^9, 
   3.6479514576286287`*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Work 1: "
}], "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659434447322*^9, 3.627659440180417*^9}, {3.627659519063675*^9, 
  3.6276595191998262`*^9}, {3.630413302094206*^9, 3.630413302194008*^9}, {
  3.630415200615819*^9, 3.630415200751486*^9}}],

Cell[TextData[{
 StyleBox["(Enter your code under this cell when ",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0.67, 0]],
 StyleBox["Mathematica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[0, 0.67, 0]],
 StyleBox[" is in \[OpenCurlyDoubleQuote]Input mode\[CloseCurlyDoubleQuote] \
\[LongDash] make sure a horizontal line is showing before you start typing)",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0.67, 0]]
}], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659460201036*^9, 3.627659504551834*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Grader/Instructor ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Assessment 1: "
}], "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.627659556506875*^9, 
  3.62765955845679*^9}, {3.627659617632988*^9, 3.627659649751532*^9}, {
  3.6304133037543097`*^9, 3.630413303850116*^9}, {3.630415202359681*^9, 
  3.630415202463716*^9}}],

Cell[TextData[StyleBox["(The grader/instructor will give you feedback about \
your work here)",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659578217204*^9}, {3.627659621472638*^9, 
  3.627659622910438*^9}, {3.628006013730137*^9, 3.6280060155901546`*^9}, {
  3.628877211175973*^9, 3.628877213714664*^9}}],

Cell[TextData[{
 "Why is does the reflection across the real axis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "\[RightTeeArrow]", 
    OverscriptBox["z", "_"]}], TraditionalForm]]],
 " play a more important role in complex analysis that reflection across the \
imaginary axis ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"z", "\[RightTeeArrow]", 
     OverscriptBox[
      RowBox[{"-", "z"}], "_"]}], "=", 
    RowBox[{"-", 
     OverscriptBox["z", "_"]}]}], TraditionalForm]]],
 "?  Evidently the first transformation must be more important since it gets \
its \[OpenCurlyDoubleQuote]own symbol\[CloseCurlyDoubleQuote] whereas the \
second transformation doesn\[CloseCurlyQuote]t.  Perhaps the most fundamental \
reason is algebraic:  when ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["z", "_"], TraditionalForm]]],
 " are multiplied, the result is a non-negative real number \[LongDash] \
moreover, it\[CloseCurlyQuote]s a special non-negative real number, the \
square of the distance from the point ",
 StyleBox["z",
  FontSlant->"Italic"],
 " to the origin 0 (alternatively, the square of the length of ",
 StyleBox["z",
  FontSlant->"Italic"],
 " as a vector). It\[CloseCurlyQuote]s true that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "+", 
    OverscriptBox["z", "_"]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " is always real as well, which is often useful to realize."
}], "Text",
 CellChangeTimes->{{3.6300023558313828`*^9, 3.630002943717*^9}, {
   3.630003060420312*^9, 3.630003271594219*^9}, {3.630003323394533*^9, 
   3.6300033234009438`*^9}, {3.630003354314584*^9, 3.630003354318667*^9}, {
   3.630003491605535*^9, 3.6300035194279346`*^9}, {3.6300740127533283`*^9, 
   3.6300740895412683`*^9}, {3.630074150460408*^9, 3.6300741510094213`*^9}, {
   3.630081777385105*^9, 3.63008178556635*^9}, {3.6300819220523663`*^9, 
   3.630082049970088*^9}, {3.630413318662076*^9, 3.630413323586011*^9}, {
   3.630413378678903*^9, 3.6304134000548563`*^9}, {3.63041345346172*^9, 
   3.630413477868626*^9}, {3.6478772151507063`*^9, 3.6478772166977158`*^9}, {
   3.647951508287142*^9, 3.647951516724835*^9}, {3.647951548437068*^9, 
   3.647951549332164*^9}, 3.647951584678802*^9, {3.647952153188653*^9, 
   3.647952213942231*^9}}],

Cell[TextData[{
 "If we assume, as has already been mentioned, that we multiply complex \
numbers as if they are linear polynomials in the indeterminate \[ImaginaryI], \
replacing ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ImaginaryI]", "2"], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "1"}], TraditionalForm]]],
 ", we get ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"z", " ", 
     OverscriptBox["z", "_"]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", 
        RowBox[{"b", " ", "\[ImaginaryI]"}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"a", "-", 
        RowBox[{"b", " ", "\[ImaginaryI]"}]}], ")"}]}], "=", 
     RowBox[{
      RowBox[{
       SuperscriptBox["a", "2"], "-", 
       RowBox[{"a", " ", "b", " ", "\[ImaginaryI]"}], "+", 
       RowBox[{"a", " ", "b", " ", "\[ImaginaryI]"}], "-", 
       RowBox[{
        SuperscriptBox["b", "2"], 
        SuperscriptBox["\[ImaginaryI]", "2"]}]}], "=", 
      RowBox[{
       RowBox[{
        SuperscriptBox["a", "2"], "+", 
        SuperscriptBox["b", "2"]}], "=", 
       SuperscriptBox[
        RowBox[{"(", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["a", "2"], "+", 
           SuperscriptBox["b", "2"]}]], ")"}], "2"]}]}]}]}], 
   TraditionalForm]]],
 ".  Since the absolute value of a real number measures its distance to the \
origin, it make sense to use the symbol ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", "z", "\[RightBracketingBar]"}], 
   TraditionalForm]]],
 " to represent the distance between the point ",
 StyleBox["z",
  FontSlant->"Italic"],
 " and the origin in the complex plane \[LongDash] in other words, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "z", "\[RightBracketingBar]"}], "=", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", "\[ImaginaryI]"}]}], "\[RightBracketingBar]"}], "=", 
     
     SqrtBox[
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["b", "2"]}]]}]}], TraditionalForm]]],
 " by the Pythagorean Theorem.  Hence, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"z", " ", 
     OverscriptBox["z", "_"]}], "=", 
    SuperscriptBox[
     RowBox[{"\[LeftBracketingBar]", "z", "\[RightBracketingBar]"}], "2"]}], 
   TraditionalForm]]],
 ".  ",
 StyleBox["Don\[CloseCurlyQuote]t ever forget this last equation!",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 "  It\[CloseCurlyQuote]s a basic fact that many students forget about, but \
it ends up being more useful than you might imagine \[LongDash] we will make \
use of it below. A couple more useful facts you will want to make sure you \
remember are ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox[
     RowBox[{
      SubscriptBox["z", "1"], "+", 
      SubscriptBox["z", "2"]}], "_"], "=", 
    RowBox[{
     OverscriptBox[
      SubscriptBox["z", "1"], "_"], "+", 
     OverscriptBox[
      SubscriptBox["z", "2"], "_"]}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox[
     RowBox[{
      SubscriptBox["z", "1"], 
      SubscriptBox["z", "2"]}], "_"], "=", 
    RowBox[{
     OverscriptBox[
      SubscriptBox["z", "1"], "_"], 
     OverscriptBox[
      SubscriptBox["z", "2"], "_"]}]}], TraditionalForm]]],
 ", and you should take the time to verify these.  The quantity ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", "z", "\[RightBracketingBar]"}], 
   TraditionalForm]]],
 ", which we could call the absolute value of the complex number ",
 StyleBox["z",
  FontSlant->"Italic"],
 ", is more commonly called the ",
 StyleBox[ButtonBox["modulus",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ComplexModulus.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ComplexModulus.html"],
  FontColor->RGBColor[0, 0, 1]],
 " of ",
 StyleBox["z \[LongDash]",
  FontSlant->"Italic"],
 " ",
 StyleBox["not",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 " to be confused with the ",
 StyleBox[ButtonBox["modulo operation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Modulo_operation"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Modulo_operation"],
  FontColor->RGBColor[0, 0, 1]],
 " from number theory.  Since ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " reserves ",
 StyleBox[ButtonBox["Mod",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Mod.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Mod.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " for the ",
 StyleBox[ButtonBox["modulo operation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Modulo_operation"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Modulo_operation"],
  FontColor->RGBColor[0, 0, 1]],
 " from ",
 StyleBox[ButtonBox["number theory",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Number_theory"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Number_theory"],
  FontColor->RGBColor[0, 0, 1]],
 ", ",
 StyleBox[ButtonBox["group",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Group_(mathematics)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Group_(mathematics)"],
  FontColor->RGBColor[0, 0, 1]],
 " theory, and ",
 StyleBox[ButtonBox["ring",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Ring_(mathematics)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Ring_(mathematics)"],
  FontColor->RGBColor[0, 0, 1]],
 " theory, it uses ",
 StyleBox[ButtonBox["Abs",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Abs.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Abs.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 StyleBox[" ",
  FontColor->RGBColor[0.6, 0.4, 0.2]],
 "for the operation of finding the ",
 StyleBox[ButtonBox["modulus",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ComplexModulus.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/ComplexModulus.html"],
  FontColor->RGBColor[0, 0, 1]],
 " of a complex number."
}], "Text",
 CellChangeTimes->{{3.6479521867800293`*^9, 3.6479521911603823`*^9}}],

Cell[BoxData[{
 RowBox[{"Abs", "[", 
  RowBox[{"11", "+", 
   RowBox[{"7", "I"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Sqrt", "[", 
  RowBox[{
   RowBox[{"11", "^", "2"}], "+", 
   RowBox[{"7", "^", "2"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.630003531528062*^9, 3.630003560401724*^9}}],

Cell[TextData[{
 "It is worth noting here that the double equal sign ",
 StyleBox[ButtonBox["==",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Equal.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Equal.html"],
  FontColor->RGBColor[1, 0.5, 0]],
 " can be thought of as an infix operator for the ",
 StyleBox[ButtonBox["Equal",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/Equal.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/Equal.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " function, which returns a ",
 StyleBox[ButtonBox["Boolean",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Boolean_function"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Boolean_function"],
  FontColor->RGBColor[0, 0, 1]],
 " value, either ",
 StyleBox[ButtonBox["True",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/True.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/True.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 " or ",
 StyleBox[ButtonBox["False",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/ref/False.html"], None},
  ButtonNote->"http://reference.wolfram.com/language/ref/False.html"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0.5, 0]],
 ", to test equality in many situations."
}], "Text",
 CellChangeTimes->{{3.630413532891519*^9, 3.630413537868328*^9}, {
  3.63041358514272*^9, 3.630413671807827*^9}, {3.630413721595769*^9, 
  3.630413756194108*^9}, {3.630413803905888*^9, 3.630413832876133*^9}, {
  3.630413891019987*^9, 3.6304138910236053`*^9}}],

Cell[BoxData[{
 RowBox[{"Equal", "[", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"11", "+", 
     RowBox[{"7", "I"}]}], "]"}], ",", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"11", "^", "2"}], "+", 
     RowBox[{"7", "^", "2"}]}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Abs", "[", 
   RowBox[{"11", "+", 
    RowBox[{"7", "I"}]}], "]"}], "\[Equal]", 
  RowBox[{"Sqrt", "[", 
   RowBox[{
    RowBox[{"11", "^", "2"}], "+", 
    RowBox[{"7", "^", "2"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Sqrt", "[", 
   RowBox[{
    RowBox[{"11", "^", "2"}], "+", 
    RowBox[{"7", "^", "2"}]}], "]"}], "\[Equal]", 
  RowBox[{"11", "+", "7"}]}]}], "Input",
 CellChangeTimes->{{3.630413566348983*^9, 3.630413581403862*^9}, {
  3.630413683453679*^9, 3.630413683715942*^9}, {3.6304137681967077`*^9, 
  3.630413781163396*^9}}],

Cell[TextData[{
 "Since, when drawn in the standard position of the parallelogram rule, the \
complex numbers ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "+", 
    SubscriptBox["z", "2"]}], TraditionalForm]]],
 "  (as vectors) can be thought of as sides of a triangle, the moduli ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", 
    SubscriptBox["z", "1"], "\[RightBracketingBar]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", 
    SubscriptBox["z", "2"], "\[RightBracketingBar]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", 
    RowBox[{
     SubscriptBox["z", "1"], "+", 
     SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], TraditionalForm]]],
 " represent the lengths of the sides of that triangle.   "
}], "Text",
 CellChangeTimes->{{3.6300036492235327`*^9, 3.630003771336176*^9}, {
  3.630074206904152*^9, 3.630074209324439*^9}, {3.647951754325309*^9, 
  3.647951759471674*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Discussion 2:",
  FontWeight->"Bold"],
 "  Suppose you are given two ",
 StyleBox["arbitrary ",
  FontSlant->"Italic"],
 "complex numbers ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 " and their sum ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "+", 
    SubscriptBox["z", "2"]}], TraditionalForm]]],
 ", visualized in the way just described in the cell above.  Is there a \
relationship between the moduli ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", 
    SubscriptBox["z", "1"], "\[RightBracketingBar]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", 
    SubscriptBox["z", "2"], "\[RightBracketingBar]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", 
    RowBox[{
     SubscriptBox["z", "1"], "+", 
     SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], TraditionalForm]]],
 " that is true no matter what ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 " are?  This relationship could be an equation, an inequality, or a set of \
inequalities.  It also could involve some arithmetic operation(s).  Draw \
pictures to help you form your hypothesis and then visually explain why it\
\[CloseCurlyQuote]s true."
}], "Subsection",
 CellChangeTimes->{{3.6276557036467533`*^9, 3.627655717913577*^9}, {
   3.627655764618641*^9, 3.62765590921062*^9}, {3.627656765938553*^9, 
   3.627656864463704*^9}, {3.627656948349906*^9, 3.627656997576027*^9}, {
   3.627657059639831*^9, 3.6276571369713497`*^9}, {3.627657178490571*^9, 
   3.627657203292487*^9}, {3.6276573617503653`*^9, 3.627657361906416*^9}, {
   3.627657492593141*^9, 3.6276575163946*^9}, {3.627659369469182*^9, 
   3.627659372254017*^9}, {3.6279081214851007`*^9, 3.627908138201469*^9}, {
   3.627908171701682*^9, 3.6279082835834637`*^9}, {3.627908355561986*^9, 
   3.627908496036009*^9}, {3.62790879589528*^9, 3.627908795898261*^9}, 
   3.6288782722154303`*^9, {3.628881990992423*^9, 3.62888202354311*^9}, {
   3.628882059762259*^9, 3.628882073413611*^9}, 3.629469598388823*^9, {
   3.629998830751891*^9, 3.629998933934198*^9}, {3.630001546086879*^9, 
   3.6300016707378607`*^9}, {3.6300017435798073`*^9, 
   3.6300018363802013`*^9}, {3.630001918921701*^9, 3.630001918924651*^9}, {
   3.630001990764906*^9, 3.6300020022258387`*^9}, {3.630002042647601*^9, 
   3.630002075891692*^9}, {3.6300037962566223`*^9, 3.63000394355877*^9}, {
   3.63000400466698*^9, 3.630004027190577*^9}, {3.630004276747097*^9, 
   3.630004309964225*^9}, {3.6300043509388857`*^9, 3.630004378175909*^9}, {
   3.630074232694652*^9, 3.63007425353621*^9}, {3.6304139504402742`*^9, 
   3.630413983765499*^9}, {3.647951778011224*^9, 3.6479518042547293`*^9}}],

Cell[CellGroupData[{

Cell["Response 2: ", "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.630003905248271*^9, 
  3.630003905397128*^9}}],

Cell[TextData[StyleBox["(You can type your thoughts and answers here \
formatted in text mode)",
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0.67, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659537608328*^9}, {3.627659670483754*^9, 
  3.627659682423826*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Grader/Instructor Response 2: ", "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.627659556506875*^9, 
  3.62765955845679*^9}, {3.627659617632988*^9, 3.62765961929755*^9}, {
  3.630003907061122*^9, 3.6300039071731853`*^9}}],

Cell[TextData[StyleBox["(The grader/instructor will give you feedback about \
your work here)",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659578217204*^9}, {3.627659621472638*^9, 
  3.627659622910438*^9}, {3.628006013730137*^9, 3.6280060155901546`*^9}, {
  3.628877211175973*^9, 3.628877213714664*^9}}],

Cell[TextData[{
 "Since the shortest distance between any two points in a plane is the length \
of the straight line between them, ",
 StyleBox["the length of any side of a triangle will be less than or equal to \
the sum of the lengths of the other two sides",
  FontSlant->"Italic"],
 ", with equality only occurring when the triangle is \[OpenCurlyDoubleQuote]",
 StyleBox[ButtonBox["degenerate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.mathwords.com/d/degenerate.htm"], None},
  ButtonNote->"http://www.mathwords.com/d/degenerate.htm"],
  FontColor->RGBColor[0, 0, 1]],
 "\[CloseCurlyDoubleQuote] \[LongDash] when it\[CloseCurlyQuote]s really just \
a line segment because the three points all lie on the same line.  Since the \
complex numbers (vectors) ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "+", 
    SubscriptBox["z", "2"]}], TraditionalForm]]],
 " can be thought of as sides of a triangle, it follows that we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{
      SubscriptBox["z", "1"], "+", 
      SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "\[LessEqual]", 
    " ", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "+", 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}]}], 
   TraditionalForm]]],
 ".  This inequality is aptly called the ",
 StyleBox[ButtonBox["triangle inequality",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Triangle_inequality"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Triangle_inequality"],
  FontColor->RGBColor[0, 0, 1]],
 ", and it is a very useful tool in complex analysis, both for estimation in \
various kinds of calculations and for proofs of theorems.  Equality holds if \
and only if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "2"], "=", "0"}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "=", 
    RowBox[{"c", " ", 
     SubscriptBox["z", "2"]}]}], TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"c", "\[Element]", "\[DoubleStruckCapitalR]"}], 
   TraditionalForm]]],
 ".  For the ",
 StyleBox[ButtonBox["mathematical analyst",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Mathematical_analysis"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Mathematical_analysis"],
  FontColor->RGBColor[0, 0, 1]],
 ", the ",
 StyleBox[ButtonBox["triangle inequality",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Triangle_inequality"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Triangle_inequality"],
  FontColor->RGBColor[0, 0, 1]],
 " is like the ",
 StyleBox[ButtonBox["American Express Card",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www304.americanexpress.com/credit-card/28009?prodCodes=937%\
2C113%2C795&ccsgeep=28009&CCSG_Google_AE_Cards_Exact=&s_tnt=76170:12:0"], 
    None},
  ButtonNote->
   "https://www304.americanexpress.com/credit-card/28009?prodCodes=937%2C113%\
2C795&ccsgeep=28009&CCSG_Google_AE_Cards_Exact=&s_tnt=76170:12:0"],
  FontColor->RGBColor[0, 0, 1]],
 " \[LongDash] they ",
 StyleBox[ButtonBox["don\[CloseCurlyQuote]t leave home without it",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.youtube.com/watch?v=4K4seWtxEeA"], None},
  ButtonNote->"https://www.youtube.com/watch?v=4K4seWtxEeA"],
  FontColor->RGBColor[0, 0, 1]],
 " \[LongDash] and they hope to use it well in order to ",
 StyleBox[ButtonBox["avoid being called an infidel",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.amazon.com/analyst-discourse-addressed-mathematician-\
inferences-ebook/dp/B00PUKIZWU/ref=sr_1_1?ie=UTF8&qid=1421426025&sr=8-1&\
keywords=Infidel+MATHEMATICIAN"], None},
  ButtonNote->
   "http://www.amazon.com/analyst-discourse-addressed-mathematician-\
inferences-ebook/dp/B00PUKIZWU/ref=sr_1_1?ie=UTF8&qid=1421426025&sr=8-1&\
keywords=Infidel+MATHEMATICIAN"],
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0, 1]],
 "."
}], "Text",
 CellChangeTimes->{{3.6300742716104107`*^9, 3.63007461797602*^9}, {
   3.630080161326242*^9, 3.630080167237701*^9}, {3.630414107890356*^9, 
   3.630414107893217*^9}, {3.630414303754105*^9, 3.6304143316797333`*^9}, {
   3.630414376634553*^9, 3.630414407480544*^9}, {3.630414594921876*^9, 
   3.630414620358618*^9}, {3.630414686652667*^9, 3.630414686655595*^9}, {
   3.630414750951356*^9, 3.6304147724684753`*^9}, {3.630414852217991*^9, 
   3.630414852221079*^9}, {3.630414891738779*^9, 3.630414902077726*^9}, {
   3.630414955191324*^9, 3.630414955194439*^9}, 3.647877222495832*^9, {
   3.647951821569851*^9, 3.647951826807152*^9}, {3.6479520127510567`*^9, 
   3.647952013094791*^9}}],

Cell[TextData[{
 "Are there symbolic ways of proving the triangle inequality?  It\
\[CloseCurlyQuote]s relatively easy if the ",
 StyleBox["z",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s are actually real numbers.  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "x", "\[RightBracketingBar]"}], "=", 
    TagBox[GridBox[{
       {"\[Piecewise]", GridBox[{
          {"x", 
           RowBox[{
            RowBox[{"if", " ", "x"}], "\[GreaterEqual]", "0"}]},
          {
           RowBox[{"-", "x"}], 
           RowBox[{
            RowBox[{"if", " ", "x"}], "<", "0"}]}
         },
         AllowedDimensions->{2, Automatic},
         Editable->True,
         GridBoxAlignment->{
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{1.}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.84]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}},
         Selectable->True]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{
       "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.35]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     "Piecewise",
     DeleteWithContents->True,
     Editable->False,
     SelectWithContents->True,
     Selectable->False]}], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[Element]", "\[DoubleStruckCapitalR]"}], 
   TraditionalForm]]],
 ", we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["x", "1"], "\[RightBracketingBar]"}]}], "\[LessEqual]", 
    SubscriptBox["x", "1"], "\[LessEqual]", 
    RowBox[{"\[LeftBracketingBar]", 
     SubscriptBox["x", "1"], "\[RightBracketingBar]"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["x", "2"], "\[RightBracketingBar]"}]}], "\[LessEqual]", 
    SubscriptBox["x", "2"], "\[LessEqual]", 
    RowBox[{"\[LeftBracketingBar]", 
     SubscriptBox["x", "2"], "\[RightBracketingBar]"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "1"], ",", 
    RowBox[{
     SubscriptBox["x", "2"], "\[Element]", "\[DoubleStruckCapitalR]"}]}], 
   TraditionalForm]]],
 ".  Adding these inequalities leads to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["x", "1"], "\[RightBracketingBar]"}], "+", 
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["x", "1"], "\[RightBracketingBar]"}]}], ")"}]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["x", "1"], "\[RightBracketingBar]"}]}], "-", 
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["x", "2"], "\[RightBracketingBar]"}]}], "\[LessEqual]", 
     RowBox[{
      SubscriptBox["x", "1"], "+", 
      SubscriptBox["x", "2"]}], "\[LessEqual]", 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["x", "1"], "\[RightBracketingBar]"}], "+", 
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["x", "2"], "\[RightBracketingBar]"}]}]}]}], 
   TraditionalForm]]],
 ", which means that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{
      SubscriptBox["x", "1"], "+", 
      SubscriptBox["x", "2"]}], "\[RightBracketingBar]"}], "\[LessEqual]", 
    " ", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["x", "1"], "\[RightBracketingBar]"}], "+", 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["x", "2"], "\[RightBracketingBar]"}]}]}], 
   TraditionalForm]]],
 "for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "1"], ",", 
    RowBox[{
     SubscriptBox["x", "2"], "\[Element]", "\[DoubleStruckCapitalR]"}]}], 
   TraditionalForm]]],
 ".  "
}], "Text",
 CellChangeTimes->{{3.630080189538533*^9, 3.630080487734475*^9}, {
   3.630081679288889*^9, 3.630081759039797*^9}, {3.630081792055038*^9, 
   3.630081905648774*^9}, {3.63008206269983*^9, 3.6300822098815517`*^9}, {
   3.630082304675407*^9, 3.630082500533205*^9}, {3.630082591103807*^9, 
   3.6300826124223013`*^9}, {3.630082669743527*^9, 3.630082690124558*^9}, {
   3.630082756836883*^9, 3.6300828815454197`*^9}, {3.63008299679848*^9, 
   3.630083031389099*^9}, {3.630083182963296*^9, 3.630083372045189*^9}, {
   3.630415056768374*^9, 3.630415085372746*^9}, {3.630415132337021*^9, 
   3.630415154175362*^9}, {3.630415287799816*^9, 3.630415334368441*^9}, 
   3.647952063114623*^9}],

Cell[TextData[{
 "Now consider the complex case.  It\[CloseCurlyQuote]s definitely trickier.  \
It\[CloseCurlyQuote]s one of those proofs where you just have to keep pushing \
forward; doing various calculations and thinking carefully about what they \
mean.  Suddenly, if you are persistent, the necessary ",
 StyleBox[ButtonBox["flash of insight",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Eureka_effect"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Eureka_effect"],
  FontColor->RGBColor[0, 0, 1]],
 " may finally hit you.  This is a situation where it is handy to use the \
relations ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"\[LeftBracketingBar]", "z", "\[RightBracketingBar]"}], "2"], 
    "=", 
    RowBox[{"z", " ", 
     OverscriptBox["z", "_"]}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    FormBox[
     RowBox[{
      OverscriptBox[
       RowBox[{
        SubscriptBox["z", "1"], "+", 
        SubscriptBox["z", "2"]}], "_"], "=", 
      RowBox[{
       OverscriptBox[
        SubscriptBox["z", "1"], "_"], "+", 
       OverscriptBox[
        SubscriptBox["z", "2"], "_"]}]}],
     TraditionalForm]}], TraditionalForm]]],
 " mentioned above.  Use the first of these on the quantity ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{
      SubscriptBox["z", "1"], "+", 
      SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "2"], 
   TraditionalForm]]],
 " to get, assuming that multiplication of complex number satisfies the \
distributive property, the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{
         SubscriptBox["z", "1"], "+", 
         SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "2"], "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["z", "1"], "+", 
         SubscriptBox["z", "2"]}], ")"}], 
       OverscriptBox[
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["z", "1"], "+", 
          SubscriptBox["z", "2"]}]}], "_"]}]}], ")"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["z", "1"], "+", 
        SubscriptBox["z", "2"]}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        OverscriptBox[
         SubscriptBox["z", "1"], "_"], "+", 
        OverscriptBox[
         SubscriptBox["z", "2"], "_"]}], ")"}]}], "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["z", "1"], 
       OverscriptBox[
        SubscriptBox["z", "1"], "_"]}], "+", 
      RowBox[{
       SubscriptBox["z", "1"], 
       OverscriptBox[
        SubscriptBox["z", "2"], "_"]}], "+", 
      RowBox[{
       SubscriptBox["z", "2"], 
       OverscriptBox[
        SubscriptBox["z", "1"], "_"]}], "+", 
      RowBox[{
       SubscriptBox["z", "2"], 
       OverscriptBox[
        SubscriptBox["z", "2"], "_"]}]}]}]}], TraditionalForm]]],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"=", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "2"], "+", 
     SuperscriptBox[
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["z", "2"], "\[RightBracketingBar]"}], "2"], "+", 
     RowBox[{
      SubscriptBox["z", "1"], 
      OverscriptBox[
       SubscriptBox["z", "2"], "_"]}], "+", 
     RowBox[{
      SubscriptBox["z", "2"], 
      OverscriptBox[
       SubscriptBox["z", "1"], "_"]}]}]}], TraditionalForm]]],
 ".  Evidently the expression ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["z", "1"], 
     OverscriptBox[
      SubscriptBox["z", "2"], "_"]}], "+", 
    RowBox[{
     SubscriptBox["z", "2"], 
     OverscriptBox[
      SubscriptBox["z", "1"], "_"]}]}], TraditionalForm]]],
 " is a real number since the various moduli in the last equation are real \
numbers (in fact, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["z", "2"], 
     OverscriptBox[
      SubscriptBox["z", "1"], "_"]}], "=", 
    OverscriptBox[
     RowBox[{
      SubscriptBox["z", "1"], 
      OverscriptBox[
       SubscriptBox["z", "2"], "_"]}], "_"]}], TraditionalForm]]],
 ") .  If we can show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["z", "1"], 
      OverscriptBox[
       SubscriptBox["z", "2"], "_"]}], "+", 
     RowBox[{
      SubscriptBox["z", "2"], 
      OverscriptBox[
       SubscriptBox["z", "1"], "_"]}]}], "\[LessEqual]", 
    RowBox[{"2", 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "1"], "\[RightBracketingBar]"}], 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}]}], 
   TraditionalForm]]],
 " we will be done since this fact will imply that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "2"], "\[RightBracketingBar]"}], "2"], "+", 
      RowBox[{
       SubscriptBox["z", "1"], 
       OverscriptBox[
        SubscriptBox["z", "2"], "_"]}], "+", 
      RowBox[{
       SubscriptBox["z", "2"], 
       OverscriptBox[
        SubscriptBox["z", "1"], "_"]}]}], "\[LessEqual]", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "2"], "+", 
      RowBox[{"2", 
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "1"], "\[RightBracketingBar]"}], 
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}], "+", 
      SuperscriptBox[
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "2"], "\[RightBracketingBar]"}], "2"]}]}], "=", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "+", 
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}], ")"}], "2"]}], 
   TraditionalForm]]],
 " and we can take positive (real) square roots of both sides of the \
inequality ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"\[LeftBracketingBar]", 
      RowBox[{
       SubscriptBox["z", "1"], "+", 
       SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "2"], 
    "\[LessEqual]", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "+", 
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}], ")"}], "2"]}], 
   TraditionalForm]]],
 " to finish the proof. "
}], "Text",
 CellChangeTimes->{3.6479520660106707`*^9, 3.6479522574184847`*^9}],

Cell[TextData[{
 " We can gain more insight by letting ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "=", 
    RowBox[{"a", "+", 
     RowBox[{"b", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "2"], "=", 
    RowBox[{"c", "+", 
     RowBox[{"d", " ", "\[ImaginaryI]"}]}]}], TraditionalForm]]],
 " to get ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["z", "1"], 
      OverscriptBox[
       SubscriptBox["z", "2"], "_"]}], "+", 
     RowBox[{
      SubscriptBox["z", "2"], 
      OverscriptBox[
       SubscriptBox["z", "1"], "_"]}]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", 
        RowBox[{"b", " ", "\[ImaginaryI]"}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"c", "-", 
        RowBox[{"d", " ", "\[ImaginaryI]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"c", "+", 
        RowBox[{"d", " ", "\[ImaginaryI]"}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"a", "-", 
        RowBox[{"b", " ", "\[ImaginaryI]"}]}], ")"}]}]}]}], TraditionalForm]]],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", " ", "c"}], "+", 
        RowBox[{"b", " ", "d"}]}], ")"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "a"}], " ", "d"}], "+", 
         RowBox[{"b", " ", "c"}]}], ")"}], " ", "\[ImaginaryI]"}], "+", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", " ", "c"}], "+", 
        RowBox[{"b", " ", "d"}]}], ")"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}], ")"}], "\[ImaginaryI]"}]}], "=", 
     RowBox[{
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", " ", "c"}], "+", 
         RowBox[{"b", " ", "d"}]}], ")"}]}], "=", 
      RowBox[{"2", 
       RowBox[{"Re", "(", 
        RowBox[{
         SubscriptBox["z", "1"], 
         OverscriptBox[
          SubscriptBox["z", "2"], "_"]}], ")"}]}]}]}]}], TraditionalForm]]],
 " \[LongDash] actually, we could have derived this from the fact that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["z", "2"], 
     OverscriptBox[
      SubscriptBox["z", "1"], "_"]}], "=", 
    OverscriptBox[
     RowBox[{
      SubscriptBox["z", "1"], 
      OverscriptBox[
       SubscriptBox["z", "2"], "_"]}], "_"]}], TraditionalForm]]],
 " without using the ",
 StyleBox["a",
  FontSlant->"Italic"],
 ", ",
 StyleBox["b",
  FontSlant->"Italic"],
 ", ",
 StyleBox["c",
  FontSlant->"Italic"],
 ", and ",
 StyleBox["d",
  FontSlant->"Italic"],
 ".  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"Re", "(", "z", ")"}], "\[LessEqual]", 
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"z", "|"}]}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     OverscriptBox["z", "_"], "\[RightBracketingBar]"}], "=", 
    RowBox[{"\[LeftBracketingBar]", "z", "\[RightBracketingBar]"}]}], 
   TraditionalForm]]],
 " for any ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", "\[Element]", "\[DoubleStruckCapitalC]"}], 
   TraditionalForm]]],
 " and since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{
      SubscriptBox["z", "1"], 
      SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "=", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "1"], "\[RightBracketingBar]"}], 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " for any ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], ",", 
    RowBox[{
     SubscriptBox["z", "2"], "\[Element]", "\[DoubleStruckCapitalC]"}]}], 
   TraditionalForm]],
  FormatType->"TraditionalForm"],
 " (think about these statements), it follows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["z", "1"], 
      OverscriptBox[
       SubscriptBox["z", "2"], "_"]}], "+", 
     RowBox[{
      SubscriptBox["z", "2"], 
      OverscriptBox[
       SubscriptBox["z", "1"], "_"]}]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"2", 
       RowBox[{"Re", "(", 
        RowBox[{
         SubscriptBox["z", "1"], 
         OverscriptBox[
          SubscriptBox["z", "2"], "_"]}], ")"}]}], "\[LessEqual]", 
      RowBox[{"2", 
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{
         SubscriptBox["z", "1"], 
         OverscriptBox[
          SubscriptBox["z", "2"], "_"]}], "\[RightBracketingBar]"}]}]}], "=", 
     
     RowBox[{"2", 
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["z", "1"], "\[RightBracketingBar]"}], 
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}]}]}], 
   TraditionalForm]]],
 ".  We are done.  This proves ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{
      SubscriptBox["z", "1"], "+", 
      SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "\[LessEqual]", 
    " ", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "+", 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}]}], 
   TraditionalForm]]],
 ".\t\t",
 StyleBox[ButtonBox["Q.E.D.",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Q.E.D."], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Q.E.D."],
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.647952258831032*^9, 3.647952359256111*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 StyleBox[" Exercise 2:",
  FontWeight->"Bold"],
 "  Make a locator-enabled animation showing the geometric meaning of the \
triangle inequality for various values of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 ".  Feel free to use your creativity to make this any way you want."
}], "Subsection",
 CellChangeTimes->{{3.6276557036467533`*^9, 3.627655717913577*^9}, {
   3.627655764618641*^9, 3.62765590921062*^9}, {3.627656765938553*^9, 
   3.627656864463704*^9}, {3.627656948349906*^9, 3.627656997576027*^9}, {
   3.627657059639831*^9, 3.6276571369713497`*^9}, {3.627657178490571*^9, 
   3.627657203292487*^9}, {3.6276573617503653`*^9, 3.627657361906416*^9}, {
   3.627657492593141*^9, 3.6276575163946*^9}, {3.627659108756077*^9, 
   3.627659190362417*^9}, {3.627908677348465*^9, 3.6279087177368393`*^9}, {
   3.627915943542495*^9, 3.627915953032187*^9}, {3.62791602506989*^9, 
   3.627916047611404*^9}, {3.627916089879258*^9, 3.6279161105186167`*^9}, 
   3.6280059612857428`*^9, {3.6288766369927673`*^9, 3.628876662716511*^9}, {
   3.629043080322031*^9, 3.6290433062565403`*^9}, {3.629044207330779*^9, 
   3.629044223935359*^9}, {3.629470390504675*^9, 3.629470391819384*^9}, {
   3.630002106095628*^9, 3.630002125868054*^9}, {3.630002176996207*^9, 
   3.63000233016544*^9}, {3.630413279679497*^9, 3.630413283427539*^9}, {
   3.6304151990681458`*^9, 3.630415254149255*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Work 2: "
}], "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659434447322*^9, 3.627659440180417*^9}, {3.627659519063675*^9, 
  3.6276595191998262`*^9}, {3.630413302094206*^9, 3.630413302194008*^9}, {
  3.630415200615819*^9, 3.6304152128088512`*^9}}],

Cell[TextData[{
 StyleBox["(Enter your code under this cell when ",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0.67, 0]],
 StyleBox["Mathematica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[0, 0.67, 0]],
 StyleBox[" is in \[OpenCurlyDoubleQuote]Input mode\[CloseCurlyDoubleQuote] \
\[LongDash] make sure a horizontal line is showing before you start typing)",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0.67, 0]]
}], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659460201036*^9, 3.627659504551834*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Grader/Instructor ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Assessment 2: "
}], "Subsubsection",
 CellChangeTimes->{{3.627658284055971*^9, 3.627658317587431*^9}, {
  3.627659516682569*^9, 3.627659516839205*^9}, {3.627659556506875*^9, 
  3.62765955845679*^9}, {3.627659617632988*^9, 3.627659649751532*^9}, {
  3.6304133037543097`*^9, 3.630413303850116*^9}, {3.630415202359681*^9, 
  3.6304152149763203`*^9}}],

Cell[TextData[StyleBox["(The grader/instructor will give you feedback about \
your work here)",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.6276582897121067`*^9, 3.627658333401252*^9}, {
  3.627659535820641*^9, 3.627659578217204*^9}, {3.627659621472638*^9, 
  3.627659622910438*^9}, {3.628006013730137*^9, 3.6280060155901546`*^9}, {
  3.628877211175973*^9, 3.628877213714664*^9}}],

Cell[TextData[{
 "Since we know the difference of two complex numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["z", "1"], "-", 
    SubscriptBox["z", "2"]}], TraditionalForm]]],
 " can be visualized as a vector starting at the tip of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 " and ending at the tip of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 ", when ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 " are based at the same spot, we can also write what the triangle inequality \
means in this situation (enter the code below to remind yourself of the \
picture).  One way it can be taken to mean is that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{
      SubscriptBox["z", "1"], "-", 
      SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "\[LessEqual]", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "+", 
     RowBox[{"\[LeftBracketingBar]", 
      SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}]}], 
   TraditionalForm]]],
 ".  This inequality can also be thought about in a purely algebraic way \
using the form of the triangle inequality above as: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{
      SubscriptBox["z", "1"], "-", 
      SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{
        SubscriptBox["z", "1"], "+", 
        RowBox[{"(", 
         RowBox[{"-", 
          SubscriptBox["z", "2"]}], ")"}]}], "\[RightBracketingBar]"}], 
      "\[LessEqual]", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "+", 
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"-", 
         SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}]}]}], "=", 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "+", 
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}]}]}], 
   TraditionalForm]]],
 ".  The quantity ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", 
    RowBox[{
     SubscriptBox["z", "1"], "-", 
     SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], TraditionalForm]]],
 " can be interpreted as the ",
 StyleBox[ButtonBox["distance",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Metric_(mathematics)"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Metric_(mathematics)"],
  FontColor->RGBColor[0, 0, 1]],
 " between ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "2"], TraditionalForm]]],
 " (as points).  Hence, the distance between any two complex numbers, viewed \
as points, is less than or equal to the sum of their distances to the origin \
(the sum of the lengths of the complex numbers as vectors). "
}], "Text",
 CellChangeTimes->{{3.6304160563358088`*^9, 3.630416371313641*^9}, {
  3.63041642152451*^9, 3.6304164215270987`*^9}, {3.6304164656237383`*^9, 
  3.630416476684462*^9}, {3.647952423999278*^9, 3.647952425229999*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "z1"}], "}"}], "]"}], ",", 
        "LightRed", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "z2"}], ",", 
           RowBox[{"z1", "-", "z2"}]}], "}"}], "]"}], ",", "Blue", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "z2"}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"z1", "-", "z2"}], ",", "z1"}], "}"}], "]"}], ",", 
        "LightBlue", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"-", "z2"}]}], "}"}], "]"}], ",", "Green", ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{"z2", ",", "z1"}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"z1", "-", "z2"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "Blue", ",", 
            "Large", ",", "Italic"}], "]"}], ",", 
          RowBox[{".5", "*", "z2"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "Blue", ",", 
            "Large", ",", "Italic"}], "]"}], ",", 
          RowBox[{
           RowBox[{".5", "z2"}], "+", 
           RowBox[{"(", 
            RowBox[{"z1", "-", "z2"}], ")"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<-\!\(\*SubscriptBox[\(z\), \(2\)]\)\>\"", ",", "LightBlue", 
            ",", "Large", ",", "Italic"}], "]"}], ",", 
          RowBox[{
           RowBox[{"-", ".5"}], "*", "z2"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)\>\"", ",", "Red", ",", 
            "Large"}], "]"}], ",", 
          RowBox[{".5", "*", "z1"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)\>\"", ",", "LightRed", ",",
             "Large", ",", "Italic"}], "]"}], ",", 
          RowBox[{
           RowBox[{".5", "*", "z1"}], "-", "z2"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)-\!\(\*SubscriptBox[\(z\), \
\(2\)]\)\>\"", ",", "Green", ",", "Large", ",", "Italic"}], "]"}], ",", 
          RowBox[{".5", "*", 
           RowBox[{"(", 
            RowBox[{"z1", "+", "z2"}], ")"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(z\), \(1\)]\)-\!\(\*SubscriptBox[\(z\), \
\(2\)]\)\>\"", ",", "Green", ",", "Large", ",", "Italic"}], "]"}], ",", 
          RowBox[{".5", "*", 
           RowBox[{"(", 
            RowBox[{"z1", "-", "z2"}], ")"}]}]}], "]"}]}], "}"}], "]"}], ",", 
     
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<real\>\"", ",", "Large", ",", "Italic"}], "]"}], "]"}],
         ",", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<imaginary\>\"", ",", "Large", ",", "Italic"}], "]"}], 
         "]"}]}], "}"}]}], ",", 
     RowBox[{"TicksStyle", "\[Rule]", "Large"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8.1"}], ",", "8.1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z2", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.627917816394308*^9, 3.627918003831655*^9}, {
   3.62791954252813*^9, 3.627919575853554*^9}, {3.6280063495729227`*^9, 
   3.628006350042568*^9}, {3.6280063940641117`*^9, 3.62800654403437*^9}, {
   3.6280065742992973`*^9, 3.62800665220852*^9}, {3.628006751322123*^9, 
   3.62800680491823*^9}, 3.62800683889365*^9, {3.6290396355670147`*^9, 
   3.629039654013468*^9}, {3.629041747086073*^9, 3.6290419625559*^9}, {
   3.629042072677671*^9, 3.629042108008161*^9}, {3.629042162189253*^9, 
   3.62904221897007*^9}, {3.629042477521633*^9, 3.629042482536397*^9}, {
   3.62904253092855*^9, 3.629042555944975*^9}, {3.629042588551577*^9, 
   3.629042742518916*^9}, {3.6290428014255533`*^9, 3.629042938575781*^9}, {
   3.629043611987419*^9, 3.629043695599142*^9}, {3.629043733615514*^9, 
   3.6290437612825117`*^9}, {3.629043843779813*^9, 3.629043873824851*^9}, {
   3.629044837818722*^9, 3.629044862155982*^9}, {3.629044895841888*^9, 
   3.629044900657537*^9}, {3.6290449572987967`*^9, 3.629044979768902*^9}, {
   3.6290450552694893`*^9, 3.629045109558963*^9}, {3.6290451538236*^9, 
   3.629045154903913*^9}, {3.629045192035626*^9, 3.62904532730923*^9}, {
   3.629045365668602*^9, 3.629045453033134*^9}, {3.63041653453048*^9, 
   3.630416563789714*^9}, {3.6479524553054447`*^9, 3.647952461543705*^9}}],

Cell[TextData[{
 "Alternative ways of viewing the triangle inequality in this situation that \
are sometimes useful are:  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     SubscriptBox["z", "1"], "\[RightBracketingBar]"}], "=", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["z", "1"], "-", 
         SubscriptBox["z", "2"]}], ")"}], "+", 
       SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "\[LessEqual]", 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{
        SubscriptBox["z", "1"], "-", 
        SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "+", 
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["z", "2"], "\[RightBracketingBar]"}]}]}]}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     SubscriptBox["z", "2"], "\[RightBracketingBar]"}], "=", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["z", "2"], "-", 
         SubscriptBox["z", "1"]}], ")"}], "+", 
       SubscriptBox["z", "1"]}], "\[RightBracketingBar]"}], "\[LessEqual]", 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{
        SubscriptBox["z", "1"], "-", 
        SubscriptBox["z", "2"]}], "\[RightBracketingBar]"}], "+", 
      RowBox[{"\[LeftBracketingBar]", 
       SubscriptBox["z", "1"], "\[RightBracketingBar]"}]}]}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.63041659499137*^9, 3.6304166674273033`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Conclusion:", "Subchapter",
 CellChangeTimes->{{3.6294708824182262`*^9, 3.6294708852158613`*^9}, {
  3.6294709184784937`*^9, 3.6294711641254807`*^9}, {3.629471214221171*^9, 
  3.629471286589877*^9}, {3.6294714662738123`*^9, 3.629471468263523*^9}, {
  3.630423122713768*^9, 3.6304231254076643`*^9}, {3.6479524984601507`*^9, 
  3.647952499457857*^9}}],

Cell["\<\
This ends the last activity of the learning module on complex addition and \
the complex plane.  Hopefully you have gained insight into the natural \
geometric nature of complex numbers and the way that basic geometric facts \
can be expressed using complex numbers. These points of view and facts are \
fundamental to understanding complex analysis.  Make sure they stay in your \
brain for the long haul by continually reminding yourself of them as you work \
more deeply into complex analysis.\
\>", "Text",
 CellChangeTimes->{{3.647952501042037*^9, 3.647952613805531*^9}, {
  3.647953560613204*^9, 3.647953565210073*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1230, 674},
WindowMargins->{{11, Automatic}, {24, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (December 4, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 476, 12, 183, "Title"],
Cell[CellGroupData[{
Cell[1987, 51, 209, 3, 78, "Subchapter"],
Cell[2199, 56, 3087, 78, 236, "Subsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5323, 139, 281, 4, 78, "Subchapter"],
Cell[5607, 145, 843, 14, 175, "Subsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6487, 164, 306, 4, 78, "Subchapter"],
Cell[6796, 170, 2921, 64, 204, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9754, 239, 250, 3, 151, "Subchapter"],
Cell[10007, 244, 8611, 231, 541, "Text"],
Cell[18621, 477, 1012, 29, 110, "Input"],
Cell[19636, 508, 3902, 114, 438, "Text"],
Cell[23541, 624, 5782, 206, 1020, "Text"],
Cell[29326, 832, 271, 6, 82, "Input"],
Cell[29600, 840, 2004, 49, 206, "Text"],
Cell[31607, 891, 316, 7, 82, "Input"],
Cell[31926, 900, 740, 20, 147, "Text"],
Cell[32669, 922, 304, 7, 137, "Input"],
Cell[32976, 931, 1774, 55, 206, "Text"],
Cell[34753, 988, 311, 12, 140, "Input"],
Cell[35067, 1002, 2492, 83, 313, "Text"],
Cell[37562, 1087, 199, 10, 140, "Input"],
Cell[37764, 1099, 1584, 40, 206, "Text"],
Cell[39351, 1141, 357, 13, 140, "Input"],
Cell[39711, 1156, 1819, 54, 206, "Text"],
Cell[41533, 1212, 404, 11, 140, "Input"],
Cell[CellGroupData[{
Cell[41962, 1227, 4037, 93, 800, "Subsection"],
Cell[CellGroupData[{
Cell[46024, 1324, 152, 2, 102, "Subsubsection"],
Cell[46179, 1328, 327, 6, 88, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46543, 1339, 263, 3, 102, "Subsubsection"],
Cell[46809, 1344, 420, 7, 88, "Text"],
Cell[47232, 1353, 2130, 43, 321, "Text"],
Cell[49365, 1398, 3040, 80, 502, "Input"],
Cell[52408, 1480, 1721, 36, 321, "Text"],
Cell[54132, 1518, 4255, 110, 556, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[58436, 1634, 2006, 46, 362, "Subsection"],
Cell[CellGroupData[{
Cell[60467, 1684, 359, 8, 102, "Subsubsection"],
Cell[60829, 1694, 573, 14, 147, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61439, 1713, 436, 10, 102, "Subsubsection"],
Cell[61878, 1725, 420, 7, 88, "Text"],
Cell[62301, 1734, 2314, 53, 321, "Text"],
Cell[64618, 1789, 6457, 196, 703, "Text"],
Cell[71078, 1987, 297, 8, 137, "Input"],
Cell[71378, 1997, 1841, 44, 147, "Text"],
Cell[73222, 2043, 862, 26, 188, "Input"],
Cell[74087, 2071, 1189, 37, 157, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[75325, 2114, 2966, 70, 431, "Subsection"],
Cell[CellGroupData[{
Cell[78316, 2188, 201, 3, 102, "Subsubsection"],
Cell[78520, 2193, 327, 6, 88, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78884, 2204, 314, 4, 102, "Subsubsection"],
Cell[79201, 2210, 420, 7, 88, "Text"],
Cell[79624, 2219, 5045, 126, 507, "Text"],
Cell[84672, 2347, 5356, 149, 268, "Text"],
Cell[90031, 2498, 7001, 222, 616, "Text"],
Cell[97035, 2722, 5836, 206, 356, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[102920, 2934, 1577, 31, 210, "Subsection"],
Cell[CellGroupData[{
Cell[104522, 2969, 361, 8, 102, "Subsubsection"],
Cell[104886, 2979, 573, 14, 147, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[105496, 2998, 438, 10, 102, "Subsubsection"],
Cell[105937, 3010, 420, 7, 88, "Text"],
Cell[106360, 3019, 3425, 97, 457, "Text"],
Cell[109788, 3118, 6426, 159, 702, "Input"],
Cell[116217, 3279, 1630, 48, 157, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[117908, 3334, 355, 5, 188, "Subchapter"],
Cell[118266, 3341, 635, 10, 265, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature qvTGjy4Ba6NAcC1Wo20O@H4G *)
